/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.MongthsByteXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.ReportJobTriggerCalendarDaysXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.WeekDaysByteXmlAdapter;
/*     */ import java.io.Serializable;
/*     */ import java.util.SortedSet;
/*     */ import java.util.TreeSet;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ @XmlRootElement(name="calendarTrigger")
/*     */ public class ReportJobCalendarTrigger
/*     */   extends ReportJobTrigger
/*     */   implements Serializable
/*     */ {
/*     */   private static final long serialVersionUID = 1L;
/*     */   public static final byte DAYS_TYPE_ALL = 1;
/*     */   public static final byte DAYS_TYPE_WEEK = 2;
/*     */   public static final byte DAYS_TYPE_MONTH = 3;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_DO_NOTHING = 2;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_FIRE_ONCE_NOW = 1;
/*     */   private String minutes;
/*     */   private String hours;
/*     */   private Byte daysType;
/*     */   private SortedSet weekDays;
/*     */   private String monthDays;
/*     */   private SortedSet months;
/*     */   
/*     */   public ReportJobCalendarTrigger() {}
/*     */   
/*     */   public String getMinutes()
/*     */   {
/* 104 */     return this.minutes;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMinutes(String minutes)
/*     */   {
/* 135 */     this.minutes = minutes;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getHours()
/*     */   {
/* 146 */     return this.hours;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setHours(String hours)
/*     */   {
/* 177 */     this.hours = hours;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   @XmlTransient
/*     */   public byte getDaysType()
/*     */   {
/* 189 */     return getDaysTypeCode().byteValue();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlElement(name="daysType")
/*     */   @XmlJavaTypeAdapter(ReportJobTriggerCalendarDaysXmlAdapter.class)
/*     */   public Byte getDaysTypeCode()
/*     */   {
/* 201 */     return this.daysType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setDaysType(byte daysType)
/*     */   {
/* 214 */     setDaysTypeCode(Byte.valueOf(daysType));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDaysTypeCode(Byte daysType)
/*     */   {
/* 226 */     this.daysType = daysType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getMonthDays()
/*     */   {
/* 235 */     return this.monthDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonthDays(String monthDays)
/*     */   {
/* 267 */     this.monthDays = monthDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlElement
/*     */   @XmlJavaTypeAdapter(MongthsByteXmlAdapter.class)
/*     */   public SortedSet getMonths()
/*     */   {
/* 284 */     return this.months;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMonths(SortedSet months)
/*     */   {
/* 298 */     this.months = months;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlElement
/*     */   @XmlJavaTypeAdapter(WeekDaysByteXmlAdapter.class)
/*     */   public SortedSet getWeekDays()
/*     */   {
/* 314 */     return this.weekDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setWeekDays(SortedSet weekDays)
/*     */   {
/* 328 */     this.weekDays = weekDays;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean equals(ReportJobTrigger rjt)
/*     */   {
/*     */     ReportJobCalendarTrigger rjct;
/*     */     
/*     */ 
/*     */ 
/*     */     try
/*     */     {
/* 343 */       rjct = (ReportJobCalendarTrigger)rjt;
/*     */     }
/*     */     catch (ClassCastException e) {
/* 346 */       return false;
/*     */     }
/* 348 */     return (super.equals(rjt)) && (this.minutes.equals(rjct.getMinutes())) && (this.hours.equals(rjct.getHours())) && (this.daysType.byteValue() == rjct.getDaysType()) && (this.monthDays != null) && (this.monthDays.equals(rjct.getMonthDays()));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ReportJobCalendarTrigger(ReportJobCalendarTrigger jobTrigger)
/*     */   {
/* 380 */     super(jobTrigger);
/* 381 */     setMinutes(jobTrigger.getMinutes());
/* 382 */     setHours(jobTrigger.getHours());
/* 383 */     setDaysTypeCode(jobTrigger.getDaysTypeCode());
/* 384 */     setMonthDays(jobTrigger.getMonthDays());
/* 385 */     if (jobTrigger.getMonths() != null) setMonths(new TreeSet(jobTrigger.getMonths()));
/* 386 */     if (jobTrigger.getWeekDays() != null) setWeekDays(new TreeSet(jobTrigger.getWeekDays()));
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\ReportJobCalendarTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */