/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.jaxb.ReportJobTriggerIntervalUnitXmlAdapter;
/*     */ import java.io.Serializable;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ @XmlRootElement(name="simpleTrigger")
/*     */ public class ReportJobSimpleTrigger
/*     */   extends ReportJobTrigger
/*     */   implements Serializable
/*     */ {
/*     */   private static final long serialVersionUID = 1L;
/*     */   public static final byte INTERVAL_MINUTE = 1;
/*     */   public static final byte INTERVAL_HOUR = 2;
/*     */   public static final byte INTERVAL_DAY = 3;
/*     */   public static final byte INTERVAL_WEEK = 4;
/*     */   public static final int RECUR_INDEFINITELY = -1;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_FIRE_NOW = 1;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_RESCHEDULE_NEXT_WITH_EXISTING_COUNT = 5;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_RESCHEDULE_NEXT_WITH_REMAINING_COUNT = 4;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_RESCHEDULE_NOW_WITH_EXISTING_REPEAT_COUNT = 2;
/*     */   public static final int JS_MISFIRE_INSTRUCTION_RESCHEDULE_NOW_WITH_REMAINING_REPEAT_COUNT = 3;
/*     */   private int occurrenceCount;
/*     */   private Integer recurrenceInterval;
/*     */   private Byte recurrenceIntervalUnit;
/*     */   
/*     */   public ReportJobSimpleTrigger() {}
/*     */   
/*     */   public int getOccurrenceCount()
/*     */   {
/* 122 */     return this.occurrenceCount;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOccurrenceCount(int recurrenceCount)
/*     */   {
/* 144 */     this.occurrenceCount = recurrenceCount;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlElement
/*     */   @XmlJavaTypeAdapter(ReportJobTriggerIntervalUnitXmlAdapter.class)
/*     */   public Byte getRecurrenceIntervalUnit()
/*     */   {
/* 160 */     return this.recurrenceIntervalUnit;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceIntervalUnit(Byte recurrenceInterval)
/*     */   {
/* 174 */     this.recurrenceIntervalUnit = recurrenceInterval;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Integer getRecurrenceInterval()
/*     */   {
/* 185 */     return this.recurrenceInterval;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceInterval(Integer recurrenceInterval)
/*     */   {
/* 197 */     this.recurrenceInterval = recurrenceInterval;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean equals(ReportJobTrigger rjt)
/*     */   {
/*     */     ReportJobSimpleTrigger rjst;
/*     */     
/*     */ 
/*     */ 
/*     */     try
/*     */     {
/* 211 */       rjst = (ReportJobSimpleTrigger)rjt;
/*     */     }
/*     */     catch (ClassCastException e) {
/* 214 */       return false;
/*     */     }
/* 216 */     return (super.equals(rjt)) && (this.occurrenceCount == rjst.getOccurrenceCount()) && (((this.recurrenceInterval == null) && (rjst.getRecurrenceInterval() == null)) || ((this.recurrenceInterval != null) && (rjst.getRecurrenceInterval() != null) && (this.recurrenceInterval.equals(rjst.getRecurrenceInterval())) && (((this.recurrenceIntervalUnit == null) && (rjst.getRecurrenceIntervalUnit() == null)) || ((this.recurrenceIntervalUnit != null) && (rjst.getRecurrenceIntervalUnit() != null) && (this.recurrenceIntervalUnit.equals(rjst.getRecurrenceIntervalUnit()))))));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ReportJobSimpleTrigger(ReportJobSimpleTrigger jobTrigger)
/*     */   {
/* 252 */     super(jobTrigger);
/* 253 */     setOccurrenceCount(jobTrigger.getOccurrenceCount());
/* 254 */     setRecurrenceIntervalUnit(jobTrigger.getRecurrenceIntervalUnit());
/* 255 */     setRecurrenceInterval(jobTrigger.getRecurrenceInterval());
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\ReportJobSimpleTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */