/*     */ package com.jaspersoft.jasperserver.api.engine.scheduling.domain.reportjobmodel;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.JSException;
/*     */ import com.jaspersoft.jasperserver.api.JasperServerAPI;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.FTPInfo;
/*     */ import com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobRepositoryDestination;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @JasperServerAPI
/*     */ public class ReportJobRepositoryDestinationModel
/*     */   extends ReportJobRepositoryDestination
/*     */ {
/*  41 */   private boolean isFolderURIModified = false;
/*  42 */   private boolean isSequentialFilenamesModified = false;
/*  43 */   private boolean isOverwriteFilesModified = false;
/*  44 */   private boolean isOutputDescriptionModified = false;
/*  45 */   private boolean isTimestampPatternModified = false;
/*  46 */   private boolean isSaveToRepositoryModified = false;
/*  47 */   private boolean isDefaultReportOutputFolderURIModified = false;
/*  48 */   private boolean isUsingDefaultReportOutputFolderURIModified = false;
/*  49 */   private boolean isOutputFTPInfoModified = false;
/*  50 */   private boolean isOutputLocalFolderModified = false;
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setFolderURI(String folder)
/*     */   {
/*  71 */     this.isFolderURIModified = true;
/*  72 */     super.setFolderURI(folder);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSequentialFilenames(boolean sequentialFilenames)
/*     */   {
/*  88 */     this.isSequentialFilenamesModified = true;
/*  89 */     super.setSequentialFilenames(sequentialFilenames);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOverwriteFiles(boolean overwriteFiles)
/*     */   {
/* 100 */     this.isOverwriteFilesModified = true;
/* 101 */     super.setOverwriteFiles(overwriteFiles);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputDescription(String outputDescription)
/*     */   {
/* 111 */     this.isOutputDescriptionModified = true;
/* 112 */     super.setOutputDescription(outputDescription);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setTimestampPattern(String timestampPattern)
/*     */   {
/* 130 */     this.isTimestampPatternModified = true;
/* 131 */     super.setTimestampPattern(timestampPattern);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSaveToRepository(boolean saveToRepository)
/*     */   {
/* 141 */     this.isSaveToRepositoryModified = true;
/* 142 */     super.setSaveToRepository(saveToRepository);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDefaultReportOutputFolderURI(String defaultReportOutputFolderURI)
/*     */   {
/* 153 */     this.isDefaultReportOutputFolderURIModified = true;
/* 154 */     super.setDefaultReportOutputFolderURI(defaultReportOutputFolderURI);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsingDefaultReportOutputFolderURI(boolean usingDefaultReportOutputFolderURI)
/*     */   {
/* 165 */     this.isUsingDefaultReportOutputFolderURIModified = true;
/* 166 */     super.setUsingDefaultReportOutputFolderURI(usingDefaultReportOutputFolderURI);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputLocalFolder(String outputLocalFolder)
/*     */   {
/* 176 */     this.isOutputLocalFolderModified = true;
/* 177 */     super.setOutputLocalFolder(outputLocalFolder);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public FTPInfo getOutputFTPInfo()
/*     */   {
/* 189 */     return getOutputFTPInfoModel();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public FTPInfoModel getOutputFTPInfoModel()
/*     */   {
/* 200 */     FTPInfo model = super.getOutputFTPInfo();
/* 201 */     if (model == null) return null;
/* 202 */     if ((model instanceof FTPInfoModel)) return (FTPInfoModel)model;
/* 203 */     throw new JSException("Please use FTPInfoModel instead of FTPInfo in ReportJobRepositoryDestinationModel class.");
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   /**
/*     */    * @deprecated
/*     */    */
/*     */   public void setOutputFTPInfo(FTPInfo ftpInfo)
/*     */   {
/* 214 */     if (ftpInfo == null) { setOutputFTPInfoModel(null);
/* 215 */     } else if ((ftpInfo instanceof FTPInfoModel)) setOutputFTPInfoModel((FTPInfoModel)ftpInfo); else {
/* 216 */       throw new JSException("Please use FTPInfoModel instead of FTPInfo in ReportJobRepositoryDestinationModel class.");
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOutputFTPInfoModel(FTPInfoModel outputFTPInfo)
/*     */   {
/* 226 */     this.isOutputFTPInfoModified = true;
/* 227 */     super.setOutputFTPInfo(outputFTPInfo);
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isFolderURIModified()
/*     */   {
/* 235 */     return this.isFolderURIModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSequentialFilenamesModified()
/*     */   {
/* 242 */     return this.isSequentialFilenamesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isOutputDescriptionsModified()
/*     */   {
/* 249 */     return this.isOutputDescriptionModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isTimestampPatternModified()
/*     */   {
/* 256 */     return this.isTimestampPatternModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isOverwriteFilesModified()
/*     */   {
/* 263 */     return this.isOverwriteFilesModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isSaveToRepositoryModified()
/*     */   {
/* 270 */     return this.isSaveToRepositoryModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isDefaultReportOutputFolderURIModified()
/*     */   {
/* 277 */     return this.isDefaultReportOutputFolderURIModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isUsingDefaultReportOutputFolderURIModified()
/*     */   {
/* 284 */     return this.isUsingDefaultReportOutputFolderURIModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isOutputLocalFolderModified()
/*     */   {
/* 291 */     return this.isOutputLocalFolderModified;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   public boolean isOutputFTPInfoModified()
/*     */   {
/* 298 */     return this.isOutputFTPInfoModified;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-api-engine-6.0.jar!\com\jaspersoft\jasperserver\api\engine\scheduling\domain\reportjobmodel\ReportJobRepositoryDestinationModel.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */