/*     */ package com.jaspersoft.jasperserver.irplugin.gui.inputcontrols.ui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.InputControlQueryDataRow;
/*     */ import java.awt.Color;
/*     */ import java.awt.Component;
/*     */ import java.awt.Container;
/*     */ import java.awt.GridLayout;
/*     */ import java.util.List;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JList;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.ListCellRenderer;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ItemRenderer
/*     */   extends JPanel
/*     */   implements ListCellRenderer
/*     */ {
/*  44 */   private JLabel[] labels = null;
/*     */   
/*     */ 
/*  47 */   int columns = 0;
/*     */   
/*     */   public ItemRenderer(int columns)
/*     */   {
/*  51 */     setOpaque(true);
/*     */     
/*  53 */     GridLayout g = new GridLayout(1, columns);
/*  54 */     setLayout(g);
/*     */     
/*  56 */     this.columns = columns;
/*  57 */     this.labels = new JLabel[columns];
/*     */     
/*     */ 
/*     */ 
/*  61 */     for (int i = 0; i < columns; i++)
/*     */     {
/*  63 */       this.labels[i] = new JLabel(" ");
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  69 */       add(this.labels[i]);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus)
/*     */   {
/*  82 */     if ((value != null) && ((value instanceof InputControlQueryDataRow)))
/*     */     {
/*  84 */       InputControlQueryDataRow icqdr = (InputControlQueryDataRow)value;
/*  85 */       if (value != null)
/*     */       {
/*  87 */         for (int i = 0; i < this.columns; i++)
/*     */         {
/*  89 */           String s = " ";
/*     */           try {
/*  91 */             if (icqdr.getColumnValues().get(i) != null)
/*     */             {
/*  93 */               s = "" + icqdr.getColumnValues().get(i);
/*     */             }
/*     */           }
/*     */           catch (Exception ex) {}
/*     */           
/*  98 */           getLabels()[i].setText(s);
/*     */         }
/*     */         
/* 101 */         updateUI();
/*     */       }
/*     */       
/*     */     }
/*     */     else
/*     */     {
/* 107 */       getLabels()[0].setText(value + "");
/*     */       
/* 109 */       for (int i = 1; i < this.columns; i++)
/*     */       {
/* 111 */         getLabels()[i].setText(" ");
/*     */       }
/*     */     }
/*     */     
/*     */ 
/* 116 */     if (isSelected)
/*     */     {
/* 118 */       setBackground(Color.black);
/* 119 */       for (int i = 0; i < this.columns; i++)
/*     */       {
/* 121 */         getLabels()[i].setForeground(Color.white);
/*     */       }
/*     */       
/*     */     }
/*     */     else
/*     */     {
/* 127 */       setBackground(Color.white);
/* 128 */       for (int i = 0; i < this.columns; i++)
/*     */       {
/* 130 */         getLabels()[i].setForeground(Color.black);
/*     */       }
/*     */     }
/*     */     
/* 134 */     return this;
/*     */   }
/*     */   
/*     */   public JLabel[] getLabels() {
/* 138 */     return this.labels;
/*     */   }
/*     */   
/*     */   public void setLabels(JLabel[] labels) {
/* 142 */     this.labels = labels;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\inputcontrols\ui\ItemRenderer.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */