/*     */ package com.jaspersoft.jasperserver.jaxrs.client.core;
/*     */ 
/*     */ import java.util.Arrays;
/*     */ import java.util.List;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract interface ResourceMediaType
/*     */ {
/*     */   public static final String RESOURCE_MEDIA_TYPE_PREFIX = "application/repository.";
/*     */   public static final String RESOURCE_MIME_TYPE = "+{mime}";
/*     */   public static final String AWS_DATA_SOURCE_CLIENT_TYPE = "awsDataSource";
/*     */   public static final String AWS_DATA_SOURCE_MIME = "application/repository.awsDataSource+{mime}";
/*     */   public static final String BEAN_DATA_SOURCE_CLIENT_TYPE = "beanDataSource";
/*     */   public static final String BEAN_DATA_SOURCE_MIME = "application/repository.beanDataSource+{mime}";
/*     */   public static final String CUSTOM_DATA_SOURCE_CLIENT_TYPE = "customDataSource";
/*     */   public static final String CUSTOM_DATA_SOURCE_MIME = "application/repository.customDataSource+{mime}";
/*     */   public static final String DATA_TYPE_CLIENT_TYPE = "dataType";
/*     */   public static final String DATA_TYPE_MIME = "application/repository.dataType+{mime}";
/*     */   public static final String FOLDER_CLIENT_TYPE = "folder";
/*     */   public static final String FOLDER_MIME = "application/repository.folder+{mime}";
/*     */   public static final String FILE_CLIENT_TYPE = "file";
/*     */   public static final String FILE_MIME = "application/repository.file+{mime}";
/*     */   public static final String INPUT_CONTROL_CLIENT_TYPE = "inputControl";
/*     */   public static final String INPUT_CONTROL_MIME = "application/repository.inputControl+{mime}";
/*     */   public static final String JDBC_DATA_SOURCE_CLIENT_TYPE = "jdbcDataSource";
/*     */   public static final String JDBC_DATA_SOURCE_MIME = "application/repository.jdbcDataSource+{mime}";
/*     */   public static final String JNDI_JDBC_DATA_SOURCE_CLIENT_TYPE = "jndiJdbcDataSource";
/*     */   public static final String JNDI_JDBC_DATA_SOURCE_MIME = "application/repository.jndiJdbcDataSource+{mime}";
/*     */   public static final String LIST_OF_VALUES_CLIENT_TYPE = "listOfValues";
/*     */   public static final String LIST_OF_VALUES_MIME = "application/repository.listOfValues+{mime}";
/*     */   public static final String MONDRIAN_CONNECTION_CLIENT_TYPE = "mondrianConnection";
/*     */   public static final String MONDRIAN_CONNECTION_MIME = "application/repository.mondrianConnection+{mime}";
/*     */   public static final String MONDRIAN_XMLA_DEFINITION_CLIENT_TYPE = "mondrianXmlaDefinition";
/*     */   public static final String MONDRIAN_XMLA_DEFINITION_MIME = "application/repository.mondrianXmlaDefinition+{mime}";
/*     */   public static final String OLAP_UNIT_CLIENT_TYPE = "olapUnit";
/*     */   public static final String OLAP_UNIT_MIME = "application/repository.olapUnit+{mime}";
/*     */   public static final String QUERY_CLIENT_TYPE = "query";
/*     */   public static final String QUERY_MIME = "application/repository.query+{mime}";
/*     */   public static final String REPORT_UNIT_CLIENT_TYPE = "reportUnit";
/*     */   public static final String REPORT_UNIT_MIME = "application/repository.reportUnit+{mime}";
/*     */   public static final String SECURE_MONDRIAN_CONNECTION_CLIENT_TYPE = "secureMondrianConnection";
/*     */   public static final String SECURE_MONDRIAN_CONNECTION_MIME = "application/repository.secureMondrianConnection+{mime}";
/*     */   public static final String VIRTUAL_DATA_SOURCE_CLIENT_TYPE = "virtualDataSource";
/*     */   public static final String VIRTUAL_DATA_SOURCE_MIME = "application/repository.virtualDataSource+{mime}";
/*     */   public static final String XMLA_CONNECTION_CLIENT_TYPE = "xmlaConnection";
/*     */   public static final String XMLA_CONNECTION_MIME = "application/repository.xmlaConnection+{mime}";
/*     */   public static final String ADHOC_DATA_VIEW_CLIENT_TYPE = "adhocDataView";
/*     */   public static final String ADHOC_DATA_VIEW_MIME = "application/repository.adhocDataView+{mime}";
/*     */   public static final String RESOURCE_LOOKUP_CLIENT_TYPE = "resourceLookup";
/*     */   public static final String RESOURCE_LOOKUP_MIME = "application/repository.resourceLookup+{mime}";
/*     */   public static final String SEMANTIC_LAYER_DATA_SOURCE_CLIENT_TYPE = "semanticLayerDataSource";
/*     */   public static final String SEMANTIC_LAYER_DATA_SOURCE_MIME = "application/repository.semanticLayerDataSource+{mime}";
/*     */   public static final String DASHBOARD_CLIENT_TYPE = "dashboard";
/*     */   public static final String DASHBOARD_MIME = "application/repository.dashboard+{mime}";
/*     */   public static final String DOMAIN_TOPIC_CLIENT_TYPE = "domainTopic";
/*     */   public static final String DOMAIN_TOPIC_MIME = "application/repository.domainTopic+{mime}";
/*     */   public static final String DASHBOARD_TYPE = "dashboard";
/* 107 */   public static final List<String> DATASOURCE_TYPES = Arrays.asList(new String[] { "awsDataSource", "beanDataSource", "customDataSource", "jdbcDataSource", "jndiJdbcDataSource", "virtualDataSource", "semanticLayerDataSource" });
/*     */   public static final String ANY_DATASOURCE_TYPE = "anyDatasource";
/*     */   public static final String DOMAIN_TOPIC_TYPE = "domainTopic";
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\core\ResourceMediaType.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */