/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.jobs;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.OutputFormatXmlAdapter;
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.jobs.jaxb.adapters.TimestampToStringXmlAdapter;
/*     */ import java.sql.Timestamp;
/*     */ import java.util.Set;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElements;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="job")
/*     */ public class Job
/*     */ {
/*     */   private Long id;
/*     */   private Long version;
/*     */   private String username;
/*     */   private String label;
/*     */   private String description;
/*     */   private Timestamp creationDate;
/*     */   private String baseOutputFilename;
/*     */   private String outputLocale;
/*     */   private RepositoryDestination repositoryDestination;
/*     */   private MailNotification mailNotification;
/*     */   private JobSource source;
/*     */   private JobAlert alert;
/*     */   private Set<OutputFormat> outputFormats;
/*     */   private JobTrigger trigger;
/*     */   private String outputTimeZone;
/*     */   
/*     */   public Long getId()
/*     */   {
/*  56 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(Long id) {
/*  60 */     this.id = id;
/*     */   }
/*     */   
/*     */   public Long getVersion() {
/*  64 */     return this.version;
/*     */   }
/*     */   
/*     */   public void setVersion(Long version) {
/*  68 */     this.version = version;
/*     */   }
/*     */   
/*     */   public String getUsername() {
/*  72 */     return this.username;
/*     */   }
/*     */   
/*     */   public void setUsername(String username) {
/*  76 */     this.username = username;
/*     */   }
/*     */   
/*     */   public String getLabel() {
/*  80 */     return this.label;
/*     */   }
/*     */   
/*     */   public void setLabel(String label) {
/*  84 */     this.label = label;
/*     */   }
/*     */   
/*     */   public String getDescription() {
/*  88 */     return this.description;
/*     */   }
/*     */   
/*     */   public void setDescription(String description) {
/*  92 */     this.description = description;
/*     */   }
/*     */   
/*     */   @XmlJavaTypeAdapter(TimestampToStringXmlAdapter.class)
/*     */   public Timestamp getCreationDate() {
/*  97 */     return this.creationDate;
/*     */   }
/*     */   
/*     */   public void setCreationDate(Timestamp creationDate) {
/* 101 */     this.creationDate = creationDate;
/*     */   }
/*     */   
/*     */   public String getBaseOutputFilename() {
/* 105 */     return this.baseOutputFilename;
/*     */   }
/*     */   
/*     */   public void setBaseOutputFilename(String baseOutputFilename) {
/* 109 */     this.baseOutputFilename = baseOutputFilename;
/*     */   }
/*     */   
/*     */   public String getOutputLocale() {
/* 113 */     return this.outputLocale;
/*     */   }
/*     */   
/*     */   public void setOutputLocale(String outputLocale) {
/* 117 */     this.outputLocale = outputLocale;
/*     */   }
/*     */   
/*     */   @XmlElement(name="repositoryDestination")
/*     */   public RepositoryDestination getRepositoryDestination() {
/* 122 */     return this.repositoryDestination;
/*     */   }
/*     */   
/*     */   public void setRepositoryDestination(RepositoryDestination repositoryDestination) {
/* 126 */     this.repositoryDestination = repositoryDestination;
/*     */   }
/*     */   
/*     */   @XmlElement(name="mailNotification")
/*     */   public MailNotification getMailNotification() {
/* 131 */     return this.mailNotification;
/*     */   }
/*     */   
/*     */   public void setMailNotification(MailNotification mailNotification) {
/* 135 */     this.mailNotification = mailNotification;
/*     */   }
/*     */   
/*     */   @XmlElement(name="source")
/*     */   public JobSource getSource() {
/* 140 */     return this.source;
/*     */   }
/*     */   
/*     */   public void setSource(JobSource source) {
/* 144 */     this.source = source;
/*     */   }
/*     */   
/*     */   @XmlElement(name="alert")
/*     */   public JobAlert getAlert() {
/* 149 */     return this.alert;
/*     */   }
/*     */   
/*     */   public void setAlert(JobAlert alert) {
/* 153 */     this.alert = alert;
/*     */   }
/*     */   
/*     */ 
/*     */   @XmlElements({@XmlElement(name="simpleTrigger", type=SimpleTrigger.class), @XmlElement(name="calendarTrigger", type=CalendarTrigger.class)})
/*     */   public JobTrigger getTrigger()
/*     */   {
/* 160 */     return this.trigger;
/*     */   }
/*     */   
/*     */   public void setTrigger(JobTrigger trigger) {
/* 164 */     this.trigger = trigger;
/*     */   }
/*     */   
/*     */   @XmlElement(name="outputFormats")
/*     */   @XmlJavaTypeAdapter(OutputFormatXmlAdapter.class)
/*     */   public Set<OutputFormat> getOutputFormats() {
/* 170 */     return this.outputFormats;
/*     */   }
/*     */   
/*     */   public void setOutputFormats(Set<OutputFormat> outputFormats) {
/* 174 */     this.outputFormats = outputFormats;
/*     */   }
/*     */   
/*     */   public String getOutputTimeZone() {
/* 178 */     return this.outputTimeZone;
/*     */   }
/*     */   
/*     */   public void setOutputTimeZone(String outputTimeZone) {
/* 182 */     this.outputTimeZone = outputTimeZone;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 187 */     if (this == o) return true;
/* 188 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 190 */     Job job = (Job)o;
/*     */     
/* 192 */     if (this.alert != null ? !this.alert.equals(job.alert) : job.alert != null) return false;
/* 193 */     if (this.baseOutputFilename != null ? !this.baseOutputFilename.equals(job.baseOutputFilename) : job.baseOutputFilename != null)
/* 194 */       return false;
/* 195 */     if (this.creationDate != null ? !this.creationDate.equals(job.creationDate) : job.creationDate != null) return false;
/* 196 */     if (this.description != null ? !this.description.equals(job.description) : job.description != null) return false;
/* 197 */     if (this.id != null ? !this.id.equals(job.id) : job.id != null) return false;
/* 198 */     if (this.label != null ? !this.label.equals(job.label) : job.label != null) return false;
/* 199 */     if (this.mailNotification != null ? !this.mailNotification.equals(job.mailNotification) : job.mailNotification != null)
/* 200 */       return false;
/* 201 */     if (this.outputFormats != null ? !this.outputFormats.equals(job.outputFormats) : job.outputFormats != null) return false;
/* 202 */     if (this.outputLocale != null ? !this.outputLocale.equals(job.outputLocale) : job.outputLocale != null) return false;
/* 203 */     if (this.repositoryDestination != null ? !this.repositoryDestination.equals(job.repositoryDestination) : job.repositoryDestination != null)
/* 204 */       return false;
/* 205 */     if (this.source != null ? !this.source.equals(job.source) : job.source != null) return false;
/* 206 */     if (this.trigger != null ? !this.trigger.equals(job.trigger) : job.trigger != null) return false;
/* 207 */     if (this.username != null ? !this.username.equals(job.username) : job.username != null) return false;
/* 208 */     if (this.version != null ? !this.version.equals(job.version) : job.version != null) { return false;
/*     */     }
/* 210 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 215 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 216 */     result = 31 * result + (this.version != null ? this.version.hashCode() : 0);
/* 217 */     result = 31 * result + (this.username != null ? this.username.hashCode() : 0);
/* 218 */     result = 31 * result + (this.label != null ? this.label.hashCode() : 0);
/* 219 */     result = 31 * result + (this.description != null ? this.description.hashCode() : 0);
/* 220 */     result = 31 * result + (this.creationDate != null ? this.creationDate.hashCode() : 0);
/* 221 */     result = 31 * result + (this.baseOutputFilename != null ? this.baseOutputFilename.hashCode() : 0);
/* 222 */     result = 31 * result + (this.outputLocale != null ? this.outputLocale.hashCode() : 0);
/* 223 */     result = 31 * result + (this.repositoryDestination != null ? this.repositoryDestination.hashCode() : 0);
/* 224 */     result = 31 * result + (this.mailNotification != null ? this.mailNotification.hashCode() : 0);
/* 225 */     result = 31 * result + (this.source != null ? this.source.hashCode() : 0);
/* 226 */     result = 31 * result + (this.alert != null ? this.alert.hashCode() : 0);
/* 227 */     result = 31 * result + (this.outputFormats != null ? this.outputFormats.hashCode() : 0);
/* 228 */     result = 31 * result + (this.trigger != null ? this.trigger.hashCode() : 0);
/* 229 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 234 */     return "Job{id=" + this.id + ", version=" + this.version + ", username='" + this.username + '\'' + ", label='" + this.label + '\'' + ", description='" + this.description + '\'' + ", creationDate='" + this.creationDate + '\'' + ", baseOutputFilename='" + this.baseOutputFilename + '\'' + ", outputLocale='" + this.outputLocale + '\'' + ", repositoryDestination=" + this.repositoryDestination + ", mailNotification=" + this.mailNotification + ", source=" + this.source + ", alert=" + this.alert + ", outputFormats=" + this.outputFormats + ", trigger=" + this.trigger + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\jobs\Job.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */