/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.lang.reflect.Array;
/*     */ import java.util.Arrays;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JobMailNotification
/*     */   implements Serializable
/*     */ {
/*     */   private long id;
/*     */   private int version;
/*     */   private String[] toAddresses;
/*     */   private String subject;
/*     */   private String messageText;
/*     */   private ResultSendType resultSendType;
/*     */   private boolean skipEmptyReports;
/*     */   
/*     */   public JobMailNotification() {}
/*     */   
/*     */   public JobMailNotification(long id, int version, String[] toAddresses, String subject, String messageText, ResultSendType resultSendType, boolean skipEmptyReports)
/*     */   {
/*  56 */     this.id = id;
/*  57 */     this.version = version;
/*  58 */     this.toAddresses = toAddresses;
/*  59 */     this.subject = subject;
/*  60 */     this.messageText = messageText;
/*  61 */     this.resultSendType = resultSendType;
/*  62 */     this.skipEmptyReports = skipEmptyReports;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  72 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/*  82 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/*  92 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/* 102 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String[] getToAddresses()
/*     */   {
/* 112 */     return this.toAddresses;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setToAddresses(String[] toAddresses)
/*     */   {
/* 122 */     this.toAddresses = toAddresses;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getSubject()
/*     */   {
/* 132 */     return this.subject;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSubject(String subject)
/*     */   {
/* 142 */     this.subject = subject;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getMessageText()
/*     */   {
/* 152 */     return this.messageText;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setMessageText(String messageText)
/*     */   {
/* 162 */     this.messageText = messageText;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public ResultSendType getResultSendType()
/*     */   {
/* 172 */     return this.resultSendType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResultSendType(ResultSendType resultSendType)
/*     */   {
/* 182 */     this.resultSendType = resultSendType;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public boolean isSkipEmptyReports()
/*     */   {
/* 192 */     return this.skipEmptyReports;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setSkipEmptyReports(boolean skipEmptyReports)
/*     */   {
/* 202 */     this.skipEmptyReports = skipEmptyReports;
/*     */   }
/*     */   
/* 205 */   private Object __equalsCalc = null;
/*     */   
/* 207 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobMailNotification)) return false;
/* 208 */     JobMailNotification other = (JobMailNotification)obj;
/* 209 */     if (obj == null) return false;
/* 210 */     if (this == obj) return true;
/* 211 */     if (this.__equalsCalc != null) {
/* 212 */       return this.__equalsCalc == obj;
/*     */     }
/* 214 */     this.__equalsCalc = obj;
/*     */     
/* 216 */     boolean _equals = (this.id == other.getId()) && (this.version == other.getVersion()) && (((this.toAddresses == null) && (other.getToAddresses() == null)) || ((this.toAddresses != null) && (Arrays.equals(this.toAddresses, other.getToAddresses())) && (((this.subject == null) && (other.getSubject() == null)) || ((this.subject != null) && (this.subject.equals(other.getSubject())) && (((this.messageText == null) && (other.getMessageText() == null)) || ((this.messageText != null) && (this.messageText.equals(other.getMessageText())) && (((this.resultSendType == null) && (other.getResultSendType() == null)) || ((this.resultSendType != null) && (this.resultSendType.equals(other.getResultSendType())) && (this.skipEmptyReports == other.isSkipEmptyReports())))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 232 */     this.__equalsCalc = null;
/* 233 */     return _equals;
/*     */   }
/*     */   
/* 236 */   private boolean __hashCodeCalc = false;
/*     */   
/* 238 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 239 */       return 0;
/*     */     }
/* 241 */     this.__hashCodeCalc = true;
/* 242 */     int _hashCode = 1;
/* 243 */     _hashCode += new Long(getId()).hashCode();
/* 244 */     _hashCode += getVersion();
/* 245 */     if (getToAddresses() != null) {
/* 246 */       for (int i = 0; 
/* 247 */           i < Array.getLength(getToAddresses()); 
/* 248 */           i++) {
/* 249 */         Object obj = Array.get(getToAddresses(), i);
/* 250 */         if ((obj != null) && (!obj.getClass().isArray()))
/*     */         {
/* 252 */           _hashCode += obj.hashCode();
/*     */         }
/*     */       }
/*     */     }
/* 256 */     if (getSubject() != null) {
/* 257 */       _hashCode += getSubject().hashCode();
/*     */     }
/* 259 */     if (getMessageText() != null) {
/* 260 */       _hashCode += getMessageText().hashCode();
/*     */     }
/* 262 */     if (getResultSendType() != null) {
/* 263 */       _hashCode += getResultSendType().hashCode();
/*     */     }
/* 265 */     _hashCode += (isSkipEmptyReports() ? Boolean.TRUE : Boolean.FALSE).hashCode();
/* 266 */     this.__hashCodeCalc = false;
/* 267 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobMailNotification.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */