/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.util.Calendar;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class JobSimpleTrigger
/*     */   extends JobTrigger
/*     */   implements Serializable
/*     */ {
/*     */   private int occurrenceCount;
/*     */   private Integer recurrenceInterval;
/*     */   private IntervalUnit recurrenceIntervalUnit;
/*     */   
/*     */   public JobSimpleTrigger() {}
/*     */   
/*     */   public JobSimpleTrigger(long id, int version, String timezone, Calendar startDate, Calendar endDate, int occurrenceCount, Integer recurrenceInterval, IntervalUnit recurrenceIntervalUnit)
/*     */   {
/*  49 */     super(id, version, timezone, startDate, endDate);
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  55 */     this.occurrenceCount = occurrenceCount;
/*  56 */     this.recurrenceInterval = recurrenceInterval;
/*  57 */     this.recurrenceIntervalUnit = recurrenceIntervalUnit;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getOccurrenceCount()
/*     */   {
/*  67 */     return this.occurrenceCount;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setOccurrenceCount(int occurrenceCount)
/*     */   {
/*  77 */     this.occurrenceCount = occurrenceCount;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Integer getRecurrenceInterval()
/*     */   {
/*  87 */     return this.recurrenceInterval;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceInterval(Integer recurrenceInterval)
/*     */   {
/*  97 */     this.recurrenceInterval = recurrenceInterval;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public IntervalUnit getRecurrenceIntervalUnit()
/*     */   {
/* 107 */     return this.recurrenceIntervalUnit;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setRecurrenceIntervalUnit(IntervalUnit recurrenceIntervalUnit)
/*     */   {
/* 117 */     this.recurrenceIntervalUnit = recurrenceIntervalUnit;
/*     */   }
/*     */   
/* 120 */   private Object __equalsCalc = null;
/*     */   
/* 122 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobSimpleTrigger)) return false;
/* 123 */     JobSimpleTrigger other = (JobSimpleTrigger)obj;
/* 124 */     if (obj == null) return false;
/* 125 */     if (this == obj) return true;
/* 126 */     if (this.__equalsCalc != null) {
/* 127 */       return this.__equalsCalc == obj;
/*     */     }
/* 129 */     this.__equalsCalc = obj;
/*     */     
/* 131 */     boolean _equals = (super.equals(obj)) && (this.occurrenceCount == other.getOccurrenceCount()) && (((this.recurrenceInterval == null) && (other.getRecurrenceInterval() == null)) || ((this.recurrenceInterval != null) && (this.recurrenceInterval.equals(other.getRecurrenceInterval())) && (((this.recurrenceIntervalUnit == null) && (other.getRecurrenceIntervalUnit() == null)) || ((this.recurrenceIntervalUnit != null) && (this.recurrenceIntervalUnit.equals(other.getRecurrenceIntervalUnit()))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 139 */     this.__equalsCalc = null;
/* 140 */     return _equals;
/*     */   }
/*     */   
/* 143 */   private boolean __hashCodeCalc = false;
/*     */   
/* 145 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 146 */       return 0;
/*     */     }
/* 148 */     this.__hashCodeCalc = true;
/* 149 */     int _hashCode = super.hashCode();
/* 150 */     _hashCode += getOccurrenceCount();
/* 151 */     if (getRecurrenceInterval() != null) {
/* 152 */       _hashCode += getRecurrenceInterval().hashCode();
/*     */     }
/* 154 */     if (getRecurrenceIntervalUnit() != null) {
/* 155 */       _hashCode += getRecurrenceIntervalUnit().hashCode();
/*     */     }
/* 157 */     this.__hashCodeCalc = false;
/* 158 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobSimpleTrigger.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */