/*     */ package com.jaspersoft.jasperserver.ws.scheduling;
/*     */ 
/*     */ import java.io.Serializable;
/*     */ import java.util.Calendar;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="jobsummary")
/*     */ public class JobSummary
/*     */   implements Serializable
/*     */ {
/*     */   private long id;
/*     */   private int version;
/*     */   private String reportUnitURI;
/*     */   @XmlTransient
/*     */   private String username;
/*     */   private String label;
/*     */   private RuntimeJobState state;
/*     */   private Calendar previousFireTime;
/*     */   private Calendar nextFireTime;
/*     */   
/*     */   public JobSummary() {}
/*     */   
/*     */   public JobSummary(long id, int version, String reportUnitURI, String username, String label, RuntimeJobState state, Calendar previousFireTime, Calendar nextFireTime)
/*     */   {
/*  66 */     this.id = id;
/*  67 */     this.version = version;
/*  68 */     this.reportUnitURI = reportUnitURI;
/*  69 */     this.username = username;
/*  70 */     this.label = label;
/*  71 */     this.state = state;
/*  72 */     this.previousFireTime = previousFireTime;
/*  73 */     this.nextFireTime = nextFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public long getId()
/*     */   {
/*  83 */     return this.id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setId(long id)
/*     */   {
/*  93 */     this.id = id;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public int getVersion()
/*     */   {
/* 103 */     return this.version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setVersion(int version)
/*     */   {
/* 113 */     this.version = version;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getReportUnitURI()
/*     */   {
/* 123 */     return this.reportUnitURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setReportUnitURI(String reportUnitURI)
/*     */   {
/* 133 */     this.reportUnitURI = reportUnitURI;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   @XmlTransient
/*     */   public String getUsername()
/*     */   {
/* 144 */     return this.username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setUsername(String username)
/*     */   {
/* 154 */     this.username = username;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public String getLabel()
/*     */   {
/* 164 */     return this.label;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setLabel(String label)
/*     */   {
/* 174 */     this.label = label;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public RuntimeJobState getState()
/*     */   {
/* 184 */     return this.state;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setState(RuntimeJobState state)
/*     */   {
/* 194 */     this.state = state;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Calendar getPreviousFireTime()
/*     */   {
/* 204 */     return this.previousFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setPreviousFireTime(Calendar previousFireTime)
/*     */   {
/* 214 */     this.previousFireTime = previousFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public Calendar getNextFireTime()
/*     */   {
/* 224 */     return this.nextFireTime;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setNextFireTime(Calendar nextFireTime)
/*     */   {
/* 234 */     this.nextFireTime = nextFireTime;
/*     */   }
/*     */   
/* 237 */   private Object __equalsCalc = null;
/*     */   
/* 239 */   public synchronized boolean equals(Object obj) { if (!(obj instanceof JobSummary)) return false;
/* 240 */     JobSummary other = (JobSummary)obj;
/* 241 */     if (obj == null) return false;
/* 242 */     if (this == obj) return true;
/* 243 */     if (this.__equalsCalc != null) {
/* 244 */       return this.__equalsCalc == obj;
/*     */     }
/* 246 */     this.__equalsCalc = obj;
/*     */     
/* 248 */     boolean _equals = (this.id == other.getId()) && (this.version == other.getVersion()) && (((this.reportUnitURI == null) && (other.getReportUnitURI() == null)) || ((this.reportUnitURI != null) && (this.reportUnitURI.equals(other.getReportUnitURI())) && (((this.username == null) && (other.getUsername() == null)) || ((this.username != null) && (this.username.equals(other.getUsername())) && (((this.label == null) && (other.getLabel() == null)) || ((this.label != null) && (this.label.equals(other.getLabel())) && (((this.state == null) && (other.getState() == null)) || ((this.state != null) && (this.state.equals(other.getState())) && (((this.previousFireTime == null) && (other.getPreviousFireTime() == null)) || ((this.previousFireTime != null) && (this.previousFireTime.equals(other.getPreviousFireTime())) && (((this.nextFireTime == null) && (other.getNextFireTime() == null)) || ((this.nextFireTime != null) && (this.nextFireTime.equals(other.getNextFireTime()))))))))))))));
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 269 */     this.__equalsCalc = null;
/* 270 */     return _equals;
/*     */   }
/*     */   
/* 273 */   private boolean __hashCodeCalc = false;
/*     */   
/* 275 */   public synchronized int hashCode() { if (this.__hashCodeCalc) {
/* 276 */       return 0;
/*     */     }
/* 278 */     this.__hashCodeCalc = true;
/* 279 */     int _hashCode = 1;
/* 280 */     _hashCode += new Long(getId()).hashCode();
/* 281 */     _hashCode += getVersion();
/* 282 */     if (getReportUnitURI() != null) {
/* 283 */       _hashCode += getReportUnitURI().hashCode();
/*     */     }
/* 285 */     if (getUsername() != null) {
/* 286 */       _hashCode += getUsername().hashCode();
/*     */     }
/* 288 */     if (getLabel() != null) {
/* 289 */       _hashCode += getLabel().hashCode();
/*     */     }
/* 291 */     if (getState() != null) {
/* 292 */       _hashCode += getState().hashCode();
/*     */     }
/* 294 */     if (getPreviousFireTime() != null) {
/* 295 */       _hashCode += getPreviousFireTime().hashCode();
/*     */     }
/* 297 */     if (getNextFireTime() != null) {
/* 298 */       _hashCode += getNextFireTime().hashCode();
/*     */     }
/* 300 */     this.__hashCodeCalc = false;
/* 301 */     return _hashCode;
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-common-ws-6.0.jar!\com\jaspersoft\jasperserver\ws\scheduling\JobSummary.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */