/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.awt.event.WindowEvent;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JCheckBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.KeyStroke;
/*     */ 
/*     */ public class CheckUpdateDialog extends JDialog
/*     */ {
/*     */   private JButton jButton1;
/*     */   private JButton jButton2;
/*     */   private JCheckBox jCheckBox1;
/*     */   private JPanel jPanel1;
/*     */   private JPanel jPanel2;
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   public CheckUpdateDialog(Frame parent, boolean modal)
/*     */   {
/*  36 */     super(parent, modal);
/*  37 */     initComponents();
/*     */     
/*  39 */     this.jCheckBox1.setSelected(IRPlugin.getMainInstance().getProperties().getProperty("PROPERTY_CHECK_FOR_UPDATE", "true").equals("true"));
/*  40 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*     */     
/*  42 */     KeyStroke escape = KeyStroke.getKeyStroke(27, 0, false);
/*  43 */     javax.swing.Action escapeAction = new javax.swing.AbstractAction() {
/*     */       public void actionPerformed(ActionEvent e) {
/*  45 */         CheckUpdateDialog.this.jButton2ActionPerformed(e);
/*     */       }
/*     */       
/*  48 */     };
/*  49 */     getRootPane().getInputMap(2).put(escape, "ESCAPE");
/*  50 */     getRootPane().getActionMap().put("ESCAPE", escapeAction);
/*     */     
/*     */ 
/*     */ 
/*  54 */     getRootPane().setDefaultButton(this.jButton1);
/*     */     
/*  56 */     applyI18n();
/*     */   }
/*     */   
/*     */   public void applyI18n()
/*     */   {
/*  61 */     this.jCheckBox1.setText(IRPlugin.getString("checkUpdateDialog.checkbox1", "Check for updates when the plugin starts"));
/*  62 */     this.jButton1.setText(IRPlugin.getString("checkUpdateDialog.buttonSave", "Save"));
/*  63 */     this.jButton2.setText(IRPlugin.getString("checkUpdateDialog.buttonCancel", "Cancel"));
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   private void initComponents()
/*     */   {
/*  75 */     this.jCheckBox1 = new JCheckBox();
/*  76 */     this.jSeparator1 = new JSeparator();
/*  77 */     this.jPanel1 = new JPanel();
/*  78 */     this.jPanel2 = new JPanel();
/*  79 */     this.jButton1 = new JButton();
/*  80 */     this.jButton2 = new JButton();
/*     */     
/*  82 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/*  84 */     setDefaultCloseOperation(2);
/*  85 */     addWindowListener(new java.awt.event.WindowAdapter() {
/*     */       public void windowOpened(WindowEvent evt) {
/*  87 */         CheckUpdateDialog.this.formWindowOpened(evt);
/*     */       }
/*     */       
/*  90 */     });
/*  91 */     this.jCheckBox1.setText("Check for updates when the plugin starts");
/*  92 */     this.jCheckBox1.setMinimumSize(new Dimension(350, 50));
/*  93 */     this.jCheckBox1.setPreferredSize(new Dimension(350, 24));
/*  94 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/*  95 */     gridBagConstraints.gridx = 0;
/*  96 */     gridBagConstraints.gridy = 0;
/*  97 */     gridBagConstraints.fill = 2;
/*  98 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/*  99 */     getContentPane().add(this.jCheckBox1, gridBagConstraints);
/*     */     
/* 101 */     this.jSeparator1.setMinimumSize(new Dimension(0, 4));
/* 102 */     this.jSeparator1.setPreferredSize(new Dimension(0, 4));
/* 103 */     gridBagConstraints = new GridBagConstraints();
/* 104 */     gridBagConstraints.gridx = 0;
/* 105 */     gridBagConstraints.gridy = 1;
/* 106 */     gridBagConstraints.fill = 2;
/* 107 */     gridBagConstraints.weightx = 1.0D;
/* 108 */     gridBagConstraints.weighty = 1.0D;
/* 109 */     gridBagConstraints.insets = new Insets(0, 0, 4, 0);
/* 110 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 112 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 114 */     gridBagConstraints = new GridBagConstraints();
/* 115 */     gridBagConstraints.weightx = 1.0D;
/* 116 */     this.jPanel1.add(this.jPanel2, gridBagConstraints);
/*     */     
/* 118 */     this.jButton1.setText("Save");
/* 119 */     this.jButton1.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 121 */         CheckUpdateDialog.this.jButton1ActionPerformed(evt);
/*     */       }
/*     */       
/* 124 */     });
/* 125 */     gridBagConstraints = new GridBagConstraints();
/* 126 */     gridBagConstraints.insets = new Insets(4, 0, 4, 4);
/* 127 */     this.jPanel1.add(this.jButton1, gridBagConstraints);
/*     */     
/* 129 */     this.jButton2.setText("Cancel");
/* 130 */     this.jButton2.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 132 */         CheckUpdateDialog.this.jButton2ActionPerformed(evt);
/*     */       }
/*     */       
/* 135 */     });
/* 136 */     gridBagConstraints = new GridBagConstraints();
/* 137 */     gridBagConstraints.insets = new Insets(4, 0, 4, 10);
/* 138 */     this.jPanel1.add(this.jButton2, gridBagConstraints);
/*     */     
/* 140 */     gridBagConstraints = new GridBagConstraints();
/* 141 */     gridBagConstraints.gridx = 0;
/* 142 */     gridBagConstraints.gridy = 2;
/* 143 */     gridBagConstraints.fill = 2;
/* 144 */     gridBagConstraints.weightx = 1.0D;
/* 145 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 147 */     pack();
/*     */   }
/*     */   
/*     */   private void jButton2ActionPerformed(ActionEvent evt) {
/* 151 */     setVisible(false);
/* 152 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void formWindowOpened(WindowEvent evt) {}
/*     */   
/*     */ 
/*     */   private void jButton1ActionPerformed(ActionEvent evt)
/*     */   {
/* 161 */     IRPlugin.getMainInstance().getProperties().setProperty("PROPERTY_CHECK_FOR_UPDATE", "" + this.jCheckBox1.isSelected());
/* 162 */     IRPlugin.getMainInstance().saveConfiguration();
/* 163 */     setVisible(false);
/* 164 */     dispose();
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\CheckUpdateDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */