/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.api.metadata.xml.domain.impl.ResourceDescriptor;
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import com.jaspersoft.jasperserver.irplugin.RepositoryFolder;
/*     */ import com.jaspersoft.jasperserver.irplugin.gui.explorer.ResourceChooser;
/*     */ import it.businesslogic.ireport.gui.sheet.Tag;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.List;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.ButtonGroup;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComboBox;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JEditorPane;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JOptionPane;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JRadioButton;
/*     */ import javax.swing.JScrollPane;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTabbedPane;
/*     */ import javax.swing.JTextArea;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class QueryDialog extends JDialog
/*     */ {
/*  43 */   private int dialogResult = 2;
/*     */   
/*  45 */   private JServer server = null;
/*  46 */   private String parentFolder = null;
/*  47 */   private String reportUnitUri = null;
/*  48 */   private RepositoryFolder resource = null;
/*  49 */   private ResourceDescriptor dataSourceDescriptor = null;
/*     */   
/*  51 */   private ResourceDescriptor newResourceDescriptor = null;
/*     */   
/*  53 */   private boolean doNotStore = false;
/*     */   private ButtonGroup buttonGroup1;
/*     */   private JButton jButtonClose;
/*     */   private JButton jButtonEditLocalDataSource;
/*     */   private JButton jButtonPickResource;
/*     */   
/*  59 */   public QueryDialog(java.awt.Frame parent, boolean modal) { super(parent, modal);
/*  60 */     initComponents();
/*     */     
/*  62 */     it.businesslogic.ireport.util.Misc.centerFrame(this);
/*  63 */     javax.swing.event.DocumentListener changesListener = new javax.swing.event.DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent evt) {
/*  65 */         QueryDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  68 */       public void insertUpdate(DocumentEvent evt) { QueryDialog.this.updateSaveButton(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent evt) {
/*  71 */         QueryDialog.this.updateSaveButton();
/*     */       }
/*     */       
/*  74 */     };
/*  75 */     this.jTextFieldLabel.getDocument().addDocumentListener(changesListener);
/*  76 */     this.jTextFieldName.getDocument().addDocumentListener(changesListener);
/*  77 */     this.jTextFieldName.requestFocusInWindow();
/*     */     
/*  79 */     List list = IRPlugin.getMainInstance().getSupportedQueryLanguages();
/*     */     
/*  81 */     for (int i = 0; i < list.size(); i++)
/*     */     {
/*  83 */       this.jComboBoxQueryLanguage.addItem(list.get(i));
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*  93 */     this.jTextAreaSql.getDocument().addDocumentListener(changesListener);
/*     */     
/*  95 */     if (!IRPlugin.getMainInstance().getBrandingProperties().getProperty("ireport.manage.datasources.enabled", "true").equals("true"))
/*     */     {
/*  97 */       this.jTabbedPane1.remove(this.jPanelDatasource);
/*     */     }
/*     */     
/* 100 */     applyI18n();
/*     */   }
/*     */   
/*     */   private JButton jButtonSave;
/*     */   private JComboBox jComboBoxDatasources;
/*     */   private JComboBox jComboBoxQueryLanguage;
/*     */   private JEditorPane jEditorPaneDescription;
/*     */   public void applyI18n() {
/* 108 */     this.jButtonClose.setText(IRPlugin.getString("queryDialog.buttonCancel", "Cancel"));
/* 109 */     this.jButtonSave.setText(IRPlugin.getString("queryDialog.buttonSave", "Save"));
/* 110 */     this.jLabel1.setText(IRPlugin.getString("queryDialog.title", "Query"));
/* 111 */     this.jLabelDescription.setText(IRPlugin.getString("queryDialog.labelDescription", "Description"));
/* 112 */     this.jLabelLabel.setText(IRPlugin.getString("queryDialog.labelLabel", "Label"));
/* 113 */     this.jLabelName.setText(IRPlugin.getString("queryDialog.labelName", "Name"));
/* 114 */     this.jLabelUriString.setText(IRPlugin.getString("queryDialog.labelParentFolder", "Parent folder"));
/* 115 */     this.jLabel2.setText(IRPlugin.getString("queryDialog.labelQuery", "Query"));
/* 116 */     this.jLabel3.setText(IRPlugin.getString("queryDialog.labelQueryLanguage", "Query language"));
/* 117 */     this.jTabbedPane1.setTitleAt(0, IRPlugin.getString("queryDialog.tabGeneral", "General"));
/* 118 */     this.jTabbedPane1.setTitleAt(1, IRPlugin.getString("queryDialog.tabDetails", "Query"));
/*     */   }
/*     */   
/*     */ 
/*     */   private void updateSaveButton()
/*     */   {
/* 124 */     if ((this.jTextFieldLabel.getText().length() > 0) && (this.jTextFieldName.getText().length() > 0) && (this.jTextAreaSql.getText().length() > 0))
/*     */     {
/*     */ 
/*     */ 
/* 128 */       this.jButtonSave.setEnabled(true);
/*     */     }
/*     */     else
/*     */     {
/* 132 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabel2;
/*     */   private JLabel jLabel3;
/*     */   private JLabel jLabelDescription;
/*     */   private JLabel jLabelLabel;
/*     */   private JLabel jLabelName;
/*     */   private JLabel jLabelResourceType1;
/*     */   private JLabel jLabelUriString;
/*     */   private void initComponents() {
/* 145 */     this.buttonGroup1 = new ButtonGroup();
/* 146 */     this.jPanel1 = new JPanel();
/* 147 */     this.jLabel1 = new JLabel();
/* 148 */     this.jSeparator1 = new JSeparator();
/* 149 */     this.jTabbedPane1 = new JTabbedPane();
/* 150 */     this.jPanel2 = new JPanel();
/* 151 */     this.jLabelUriString = new JLabel();
/* 152 */     this.jTextFieldUriString = new JTextField();
/* 153 */     this.jLabelName = new JLabel();
/* 154 */     this.jTextFieldName = new JTextField();
/* 155 */     this.jSeparator2 = new JSeparator();
/* 156 */     this.jLabelLabel = new JLabel();
/* 157 */     this.jTextFieldLabel = new JTextField();
/* 158 */     this.jScrollPane1 = new JScrollPane();
/* 159 */     this.jEditorPaneDescription = new JEditorPane();
/* 160 */     this.jLabelDescription = new JLabel();
/* 161 */     this.jPanel3 = new JPanel();
/* 162 */     this.jLabel3 = new JLabel();
/* 163 */     this.jComboBoxQueryLanguage = new JComboBox();
/* 164 */     this.jLabel2 = new JLabel();
/* 165 */     this.jScrollPane2 = new JScrollPane();
/* 166 */     this.jTextAreaSql = new JTextArea();
/* 167 */     this.jPanelDatasource = new JPanel();
/* 168 */     this.jLabelResourceType1 = new JLabel();
/* 169 */     this.jRadioButtonRepo = new JRadioButton();
/* 170 */     this.jComboBoxDatasources = new JComboBox();
/* 171 */     this.jButtonPickResource = new JButton();
/* 172 */     this.jRadioButtonLocal = new JRadioButton();
/* 173 */     this.jButtonEditLocalDataSource = new JButton();
/* 174 */     this.jRadioButtonNone = new JRadioButton();
/* 175 */     this.jPanel4 = new JPanel();
/* 176 */     this.jButtonSave = new JButton();
/* 177 */     this.jButtonClose = new JButton();
/*     */     
/* 179 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 181 */     setDefaultCloseOperation(2);
/* 182 */     setTitle("Data Type");
/* 183 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 185 */     this.jPanel1.setBackground(new java.awt.Color(255, 255, 255));
/* 186 */     this.jLabel1.setFont(new java.awt.Font("Dialog", 1, 12));
/* 187 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/datasource_new.png")));
/* 188 */     this.jLabel1.setText("Query");
/* 189 */     this.jLabel1.setVerticalAlignment(3);
/* 190 */     this.jLabel1.setVerticalTextPosition(3);
/* 191 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 192 */     gridBagConstraints.fill = 1;
/* 193 */     gridBagConstraints.weightx = 1.0D;
/* 194 */     gridBagConstraints.weighty = 1.0D;
/* 195 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 197 */     gridBagConstraints = new GridBagConstraints();
/* 198 */     gridBagConstraints.fill = 2;
/* 199 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 201 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 202 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 203 */     gridBagConstraints = new GridBagConstraints();
/* 204 */     gridBagConstraints.gridx = 0;
/* 205 */     gridBagConstraints.fill = 2;
/* 206 */     gridBagConstraints.weightx = 1.0D;
/* 207 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 209 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 211 */     this.jPanel2.setPreferredSize(new Dimension(400, 185));
/* 212 */     this.jLabelUriString.setText("Parent folder");
/* 213 */     gridBagConstraints = new GridBagConstraints();
/* 214 */     gridBagConstraints.gridx = 0;
/* 215 */     gridBagConstraints.fill = 2;
/* 216 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 217 */     this.jPanel2.add(this.jLabelUriString, gridBagConstraints);
/*     */     
/* 219 */     this.jTextFieldUriString.setEditable(false);
/* 220 */     this.jTextFieldUriString.setBorder(BorderFactory.createEmptyBorder(1, 1, 1, 1));
/* 221 */     this.jTextFieldUriString.setOpaque(false);
/* 222 */     gridBagConstraints = new GridBagConstraints();
/* 223 */     gridBagConstraints.gridx = 1;
/* 224 */     gridBagConstraints.fill = 2;
/* 225 */     gridBagConstraints.weightx = 1.0D;
/* 226 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 227 */     this.jPanel2.add(this.jTextFieldUriString, gridBagConstraints);
/*     */     
/* 229 */     this.jLabelName.setText("Name");
/* 230 */     gridBagConstraints = new GridBagConstraints();
/* 231 */     gridBagConstraints.gridx = 0;
/* 232 */     gridBagConstraints.fill = 2;
/* 233 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 234 */     this.jPanel2.add(this.jLabelName, gridBagConstraints);
/*     */     
/* 236 */     gridBagConstraints = new GridBagConstraints();
/* 237 */     gridBagConstraints.gridx = 1;
/* 238 */     gridBagConstraints.fill = 2;
/* 239 */     gridBagConstraints.weightx = 1.0D;
/* 240 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 241 */     this.jPanel2.add(this.jTextFieldName, gridBagConstraints);
/*     */     
/* 243 */     this.jSeparator2.setMinimumSize(new Dimension(0, 2));
/* 244 */     gridBagConstraints = new GridBagConstraints();
/* 245 */     gridBagConstraints.gridx = 0;
/* 246 */     gridBagConstraints.gridwidth = 2;
/* 247 */     gridBagConstraints.fill = 2;
/* 248 */     gridBagConstraints.weightx = 1.0D;
/* 249 */     gridBagConstraints.insets = new Insets(4, 4, 6, 4);
/* 250 */     this.jPanel2.add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 252 */     this.jLabelLabel.setText("Label");
/* 253 */     gridBagConstraints = new GridBagConstraints();
/* 254 */     gridBagConstraints.gridx = 0;
/* 255 */     gridBagConstraints.fill = 2;
/* 256 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 257 */     this.jPanel2.add(this.jLabelLabel, gridBagConstraints);
/*     */     
/* 259 */     gridBagConstraints = new GridBagConstraints();
/* 260 */     gridBagConstraints.gridx = 1;
/* 261 */     gridBagConstraints.fill = 2;
/* 262 */     gridBagConstraints.weightx = 1.0D;
/* 263 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 264 */     this.jPanel2.add(this.jTextFieldLabel, gridBagConstraints);
/*     */     
/* 266 */     this.jScrollPane1.setViewportView(this.jEditorPaneDescription);
/*     */     
/* 268 */     gridBagConstraints = new GridBagConstraints();
/* 269 */     gridBagConstraints.gridx = 1;
/* 270 */     gridBagConstraints.fill = 1;
/* 271 */     gridBagConstraints.weightx = 1.0D;
/* 272 */     gridBagConstraints.weighty = 1.0D;
/* 273 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 274 */     this.jPanel2.add(this.jScrollPane1, gridBagConstraints);
/*     */     
/* 276 */     this.jLabelDescription.setText("Description");
/* 277 */     gridBagConstraints = new GridBagConstraints();
/* 278 */     gridBagConstraints.gridx = 0;
/* 279 */     gridBagConstraints.fill = 2;
/* 280 */     gridBagConstraints.anchor = 11;
/* 281 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 282 */     this.jPanel2.add(this.jLabelDescription, gridBagConstraints);
/*     */     
/* 284 */     this.jTabbedPane1.addTab("General", this.jPanel2);
/*     */     
/* 286 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 288 */     this.jLabel3.setText("Query language");
/* 289 */     gridBagConstraints = new GridBagConstraints();
/* 290 */     gridBagConstraints.gridx = 0;
/* 291 */     gridBagConstraints.fill = 2;
/* 292 */     gridBagConstraints.insets = new Insets(4, 4, 2, 4);
/* 293 */     this.jPanel3.add(this.jLabel3, gridBagConstraints);
/*     */     
/* 295 */     gridBagConstraints = new GridBagConstraints();
/* 296 */     gridBagConstraints.gridx = 0;
/* 297 */     gridBagConstraints.fill = 2;
/* 298 */     gridBagConstraints.anchor = 17;
/* 299 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 300 */     this.jPanel3.add(this.jComboBoxQueryLanguage, gridBagConstraints);
/*     */     
/* 302 */     this.jLabel2.setText("Query");
/* 303 */     gridBagConstraints = new GridBagConstraints();
/* 304 */     gridBagConstraints.gridx = 0;
/* 305 */     gridBagConstraints.fill = 2;
/* 306 */     gridBagConstraints.insets = new Insets(4, 4, 2, 4);
/* 307 */     this.jPanel3.add(this.jLabel2, gridBagConstraints);
/*     */     
/* 309 */     this.jTextAreaSql.setColumns(20);
/* 310 */     this.jTextAreaSql.setRows(5);
/* 311 */     this.jScrollPane2.setViewportView(this.jTextAreaSql);
/*     */     
/* 313 */     gridBagConstraints = new GridBagConstraints();
/* 314 */     gridBagConstraints.gridx = 0;
/* 315 */     gridBagConstraints.fill = 1;
/* 316 */     gridBagConstraints.weightx = 1.0D;
/* 317 */     gridBagConstraints.weighty = 1.0D;
/* 318 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 319 */     this.jPanel3.add(this.jScrollPane2, gridBagConstraints);
/*     */     
/* 321 */     this.jTabbedPane1.addTab("Query", this.jPanel3);
/*     */     
/* 323 */     this.jPanelDatasource.setLayout(new GridBagLayout());
/*     */     
/* 325 */     this.jLabelResourceType1.setText("Locate Data Source");
/* 326 */     gridBagConstraints = new GridBagConstraints();
/* 327 */     gridBagConstraints.gridx = 0;
/* 328 */     gridBagConstraints.fill = 2;
/* 329 */     gridBagConstraints.weightx = 1.0D;
/* 330 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 331 */     this.jPanelDatasource.add(this.jLabelResourceType1, gridBagConstraints);
/*     */     
/* 333 */     this.buttonGroup1.add(this.jRadioButtonRepo);
/* 334 */     this.jRadioButtonRepo.setSelected(true);
/* 335 */     this.jRadioButtonRepo.setText("From the repository");
/* 336 */     this.jRadioButtonRepo.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 337 */     this.jRadioButtonRepo.setMargin(new Insets(0, 0, 0, 0));
/* 338 */     this.jRadioButtonRepo.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 340 */         QueryDialog.this.jRadioButtonRepoActionPerformed(evt);
/*     */       }
/*     */       
/* 343 */     });
/* 344 */     gridBagConstraints = new GridBagConstraints();
/* 345 */     gridBagConstraints.gridx = 0;
/* 346 */     gridBagConstraints.gridwidth = 2;
/* 347 */     gridBagConstraints.fill = 2;
/* 348 */     gridBagConstraints.weightx = 1.0D;
/* 349 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 350 */     this.jPanelDatasource.add(this.jRadioButtonRepo, gridBagConstraints);
/*     */     
/* 352 */     this.jComboBoxDatasources.setEditable(true);
/* 353 */     this.jComboBoxDatasources.setEnabled(false);
/* 354 */     gridBagConstraints = new GridBagConstraints();
/* 355 */     gridBagConstraints.gridx = 0;
/* 356 */     gridBagConstraints.fill = 2;
/* 357 */     gridBagConstraints.weightx = 1.0D;
/* 358 */     gridBagConstraints.insets = new Insets(0, 30, 4, 2);
/* 359 */     this.jPanelDatasource.add(this.jComboBoxDatasources, gridBagConstraints);
/*     */     
/* 361 */     this.jButtonPickResource.setText("Browse");
/* 362 */     this.jButtonPickResource.setEnabled(false);
/* 363 */     this.jButtonPickResource.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 365 */         QueryDialog.this.jButtonPickResourceActionPerformed(evt);
/*     */       }
/*     */       
/* 368 */     });
/* 369 */     gridBagConstraints = new GridBagConstraints();
/* 370 */     gridBagConstraints.gridx = 1;
/* 371 */     gridBagConstraints.anchor = 18;
/* 372 */     gridBagConstraints.insets = new Insets(0, 0, 4, 8);
/* 373 */     this.jPanelDatasource.add(this.jButtonPickResource, gridBagConstraints);
/*     */     
/* 375 */     this.buttonGroup1.add(this.jRadioButtonLocal);
/* 376 */     this.jRadioButtonLocal.setText("Locally Defined");
/* 377 */     this.jRadioButtonLocal.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 378 */     this.jRadioButtonLocal.setMargin(new Insets(0, 0, 0, 0));
/* 379 */     this.jRadioButtonLocal.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 381 */         QueryDialog.this.jRadioButtonLocalActionPerformed(evt);
/*     */       }
/*     */       
/* 384 */     });
/* 385 */     gridBagConstraints = new GridBagConstraints();
/* 386 */     gridBagConstraints.gridx = 0;
/* 387 */     gridBagConstraints.gridwidth = 2;
/* 388 */     gridBagConstraints.fill = 2;
/* 389 */     gridBagConstraints.weightx = 1.0D;
/* 390 */     gridBagConstraints.insets = new Insets(8, 8, 4, 4);
/* 391 */     this.jPanelDatasource.add(this.jRadioButtonLocal, gridBagConstraints);
/*     */     
/* 393 */     this.jButtonEditLocalDataSource.setText("Edit local datasource");
/* 394 */     this.jButtonEditLocalDataSource.setEnabled(false);
/* 395 */     this.jButtonEditLocalDataSource.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 397 */         QueryDialog.this.jButtonEditLocalDataSourceActionPerformed(evt);
/*     */       }
/*     */       
/* 400 */     });
/* 401 */     gridBagConstraints = new GridBagConstraints();
/* 402 */     gridBagConstraints.gridx = 0;
/* 403 */     gridBagConstraints.gridwidth = 2;
/* 404 */     gridBagConstraints.anchor = 18;
/* 405 */     gridBagConstraints.insets = new Insets(0, 30, 0, 0);
/* 406 */     this.jPanelDatasource.add(this.jButtonEditLocalDataSource, gridBagConstraints);
/*     */     
/* 408 */     this.buttonGroup1.add(this.jRadioButtonNone);
/* 409 */     this.jRadioButtonNone.setText("None");
/* 410 */     this.jRadioButtonNone.setBorder(BorderFactory.createEmptyBorder(0, 0, 0, 0));
/* 411 */     this.jRadioButtonNone.setMargin(new Insets(0, 0, 0, 0));
/* 412 */     this.jRadioButtonNone.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 414 */         QueryDialog.this.jRadioButtonLocalActionPerformed1(evt);
/*     */       }
/*     */       
/* 417 */     });
/* 418 */     gridBagConstraints = new GridBagConstraints();
/* 419 */     gridBagConstraints.gridx = 0;
/* 420 */     gridBagConstraints.gridwidth = 2;
/* 421 */     gridBagConstraints.fill = 2;
/* 422 */     gridBagConstraints.anchor = 11;
/* 423 */     gridBagConstraints.weightx = 1.0D;
/* 424 */     gridBagConstraints.weighty = 1.0D;
/* 425 */     gridBagConstraints.insets = new Insets(16, 8, 4, 4);
/* 426 */     this.jPanelDatasource.add(this.jRadioButtonNone, gridBagConstraints);
/*     */     
/* 428 */     this.jTabbedPane1.addTab("Data Source", this.jPanelDatasource);
/*     */     
/* 430 */     gridBagConstraints = new GridBagConstraints();
/* 431 */     gridBagConstraints.gridx = 0;
/* 432 */     gridBagConstraints.fill = 1;
/* 433 */     gridBagConstraints.weightx = 1.0D;
/* 434 */     gridBagConstraints.weighty = 1.0D;
/* 435 */     getContentPane().add(this.jTabbedPane1, gridBagConstraints);
/*     */     
/* 437 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 439 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 440 */     this.jPanel4.setPreferredSize(new Dimension(10, 30));
/* 441 */     this.jButtonSave.setText("Save");
/* 442 */     this.jButtonSave.setEnabled(false);
/* 443 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 445 */         QueryDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 448 */     });
/* 449 */     gridBagConstraints = new GridBagConstraints();
/* 450 */     gridBagConstraints.anchor = 13;
/* 451 */     gridBagConstraints.weightx = 1.0D;
/* 452 */     gridBagConstraints.insets = new Insets(0, 0, 0, 4);
/* 453 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 455 */     this.jButtonClose.setText("Cancel");
/* 456 */     this.jButtonClose.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 458 */         QueryDialog.this.jButtonCloseActionPerformed(evt);
/*     */       }
/*     */       
/* 461 */     });
/* 462 */     this.jPanel4.add(this.jButtonClose, new GridBagConstraints());
/*     */     
/* 464 */     gridBagConstraints = new GridBagConstraints();
/* 465 */     gridBagConstraints.gridx = 0;
/* 466 */     gridBagConstraints.fill = 2;
/* 467 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 468 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 470 */     pack();
/*     */   }
/*     */   
/*     */   private void jRadioButtonLocalActionPerformed1(ActionEvent evt) {
/* 474 */     updateDataSourceFromType();
/*     */   }
/*     */   
/*     */   private void jButtonEditLocalDataSourceActionPerformed(ActionEvent evt) {
/* 478 */     DataSourceDialog dtd = new DataSourceDialog(it.businesslogic.ireport.gui.MainFrame.getMainInstance(), true);
/* 479 */     dtd.setServer(getServer());
/* 480 */     dtd.setParentFolder(getParentFolder() + "/<dataSource>");
/* 481 */     dtd.setDoNotStore(true);
/* 482 */     if (this.dataSourceDescriptor != null) {
/* 483 */       dtd.setResource(this.dataSourceDescriptor);
/*     */     }
/*     */     
/* 486 */     dtd.setVisible(true);
/*     */     
/* 488 */     if (dtd.getDialogResult() == 0) {
/* 489 */       this.dataSourceDescriptor = dtd.getNewResourceDescriptor();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonLocalActionPerformed(ActionEvent evt) {
/* 494 */     updateDataSourceFromType();
/*     */   }
/*     */   
/*     */   private void jButtonPickResourceActionPerformed(ActionEvent evt) {
/* 498 */     ResourceChooser rc = new ResourceChooser();
/* 499 */     rc.setServer(getServer());
/* 500 */     if (rc.showDialog(this, null) == 0) {
/* 501 */       ResourceDescriptor rd = rc.getSelectedDescriptor();
/* 502 */       if ((rd == null) || (rd.getUriString() == null)) {
/* 503 */         this.jComboBoxDatasources.setSelectedItem("");
/*     */       } else {
/* 505 */         this.jComboBoxDatasources.setSelectedItem(rd.getUriString());
/*     */       }
/* 507 */       updateSaveButton();
/*     */     }
/*     */   }
/*     */   
/*     */   private void jRadioButtonRepoActionPerformed(ActionEvent evt) {
/* 512 */     updateDataSourceFromType();
/*     */   }
/*     */   
/*     */   private void jButtonCloseActionPerformed(ActionEvent evt)
/*     */   {
/* 517 */     setVisible(false);
/* 518 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 524 */     ResourceDescriptor rd = new ResourceDescriptor();
/*     */     
/* 526 */     rd.setDescription(this.jEditorPaneDescription.getText().trim());
/* 527 */     rd.setName(this.jTextFieldName.getText());
/* 528 */     String uri = getParentFolder();
/* 529 */     if (!uri.endsWith("/")) uri = uri + "/";
/* 530 */     uri = uri + this.jTextFieldName.getText();
/* 531 */     rd.setUriString(uri);
/* 532 */     rd.setLabel(this.jTextFieldLabel.getText().trim());
/* 533 */     rd.setParentFolder(getParentFolder());
/* 534 */     rd.setIsNew(this.resource == null);
/*     */     
/* 536 */     rd.setWsType("query");
/*     */     
/* 538 */     rd.setSql(this.jTextAreaSql.getText());
/*     */     
/*     */ 
/* 541 */     if (IRPlugin.getMainInstance().getBrandingProperties().getProperty("ireport.manage.datasources.enabled", "true").equals("true"))
/*     */     {
/* 543 */       ResourceDescriptor tmpDataSourceDescriptor = null;
/* 544 */       if (this.jRadioButtonRepo.isSelected())
/*     */       {
/* 546 */         tmpDataSourceDescriptor = new ResourceDescriptor();
/* 547 */         tmpDataSourceDescriptor.setWsType("datasource");
/* 548 */         tmpDataSourceDescriptor.setReferenceUri(this.jComboBoxDatasources.getSelectedItem() + "");
/* 549 */         tmpDataSourceDescriptor.setIsReference(true);
/*     */       }
/* 551 */       else if (this.jRadioButtonLocal.isSelected())
/*     */       {
/* 553 */         if (this.dataSourceDescriptor == null)
/*     */         {
/* 555 */           JOptionPane.showMessageDialog(this, IRPlugin.getString("reportUnitDialog.message.localDatasourceNotDefined", "The local datasource is not correctly defined.\nPress the button \"Edit local datasource\" to fix the problem."));
/*     */           
/* 557 */           return;
/*     */         }
/* 559 */         tmpDataSourceDescriptor = this.dataSourceDescriptor;
/* 560 */         tmpDataSourceDescriptor.setIsReference(false);
/*     */       }
/*     */       
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/* 567 */       if (tmpDataSourceDescriptor != null)
/*     */       {
/* 569 */         rd.getChildren().add(tmpDataSourceDescriptor);
/*     */       }
/*     */     }
/*     */     
/* 573 */     String queryLanguage = "sql";
/*     */     
/* 575 */     Object obj = this.jComboBoxQueryLanguage.getSelectedItem();
/* 576 */     if ((obj != null) && ((obj instanceof Tag)))
/*     */     {
/* 578 */       queryLanguage = "" + ((Tag)obj).getValue();
/*     */     }
/*     */     else
/*     */     {
/* 582 */       queryLanguage = "" + obj;
/*     */     }
/*     */     
/* 585 */     rd.setResourceProperty("PROP_QUERY_LANGUAGE", queryLanguage);
/*     */     
/*     */     try
/*     */     {
/* 589 */       validate(rd);
/* 590 */       if (!this.doNotStore)
/*     */       {
/* 592 */         this.newResourceDescriptor = getServer().getWSClient().addOrModifyResource(rd, null);
/*     */       } else {
/* 594 */         this.newResourceDescriptor = rd;
/*     */       }
/* 596 */       setDialogResult(0);
/*     */       
/* 598 */       if (this.resource != null)
/*     */       {
/* 600 */         this.resource.setDescriptor(this.newResourceDescriptor);
/*     */       }
/*     */       
/* 603 */       setVisible(false);
/* 604 */       dispose();
/*     */     }
/*     */     catch (Exception ex) {
/* 607 */       JOptionPane.showMessageDialog(this, IRPlugin.getFormattedString("messages.error.3", "Error:\n {0}", new Object[] { ex.getMessage() }));
/* 608 */       ex.printStackTrace();
/* 609 */       return;
/*     */     }
/*     */   }
/*     */   
/*     */   public int getDialogResult()
/*     */   {
/* 615 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 619 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getServer()
/*     */   {
/* 624 */     return this.server;
/*     */   }
/*     */   
/*     */   public void setServer(JServer server) {
/* 628 */     this.server = server;
/*     */   }
/*     */   
/*     */   public String getParentFolder() {
/* 632 */     return this.parentFolder;
/*     */   }
/*     */   
/*     */   public void setParentFolder(String parentFolder)
/*     */   {
/* 637 */     this.parentFolder = parentFolder;
/*     */     
/* 639 */     if ((this.reportUnitUri != null) && (this.reportUnitUri.length() > 0)) {
/* 640 */       this.parentFolder = (this.reportUnitUri + "_files");
/*     */     }
/* 642 */     this.jTextFieldUriString.setText(parentFolder);
/*     */   }
/*     */   
/*     */   public String getReportUnitUri() {
/* 646 */     return this.reportUnitUri;
/*     */   }
/*     */   
/*     */   public void setReportUnitUri(String reportUnitUri) {
/* 650 */     this.reportUnitUri = reportUnitUri;
/*     */     
/* 652 */     if ((reportUnitUri != null) && (reportUnitUri.length() > 0))
/* 653 */       setParentFolder(reportUnitUri + "_files");
/*     */   }
/*     */   
/*     */   public ResourceDescriptor getNewResourceDescriptor() {
/* 657 */     return this.newResourceDescriptor;
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(RepositoryFolder resource)
/*     */   {
/* 666 */     this.resource = resource;
/* 667 */     if (resource != null)
/*     */     {
/* 669 */       setResource(resource.getDescriptor());
/* 670 */       this.jTextFieldName.setEditable(false);
/* 671 */       this.jTextFieldName.setOpaque(false);
/*     */     }
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setResource(ResourceDescriptor descriptor)
/*     */   {
/* 682 */     this.resource = this.resource;
/* 683 */     this.jTextFieldName.setText(descriptor.getName());
/*     */     
/*     */ 
/* 686 */     this.jTextFieldLabel.setText(descriptor.getLabel());
/* 687 */     this.jEditorPaneDescription.setText(descriptor.getDescription());
/*     */     
/* 689 */     this.jTextAreaSql.setText(descriptor.getSql() != null ? descriptor.getSql() : "");
/*     */     
/* 691 */     String ql = descriptor.getResourcePropertyValue("PROP_QUERY_LANGUAGE");
/* 692 */     if (ql == null) { ql = "sql";
/*     */     }
/* 694 */     boolean found = false;
/* 695 */     for (int ix = 0; ix < this.jComboBoxQueryLanguage.getItemCount(); ix++)
/*     */     {
/* 697 */       Tag t = (Tag)this.jComboBoxQueryLanguage.getItemAt(ix);
/* 698 */       if (t.getValue().equals(ql))
/*     */       {
/* 700 */         found = true;
/* 701 */         this.jComboBoxQueryLanguage.setSelectedIndex(ix);
/* 702 */         break;
/*     */       }
/*     */     }
/* 705 */     if (!found)
/*     */     {
/* 707 */       this.jComboBoxQueryLanguage.setSelectedItem(ql);
/*     */     }
/*     */     
/* 710 */     this.jRadioButtonLocal.setSelected(false);
/* 711 */     this.jRadioButtonRepo.setSelected(false);
/* 712 */     this.jRadioButtonNone.setSelected(true);
/*     */     
/* 714 */     for (int i = 0; i < descriptor.getChildren().size(); i++)
/*     */     {
/*     */ 
/* 717 */       ResourceDescriptor rd = (ResourceDescriptor)descriptor.getChildren().get(i);
/* 718 */       if (rd.getWsType().equals("datasource"))
/*     */       {
/* 720 */         this.jComboBoxDatasources.setSelectedItem(rd.getReferenceUri());
/* 721 */         this.jRadioButtonRepo.setSelected(true);
/* 722 */         this.jRadioButtonLocal.setSelected(false);
/* 723 */         this.jRadioButtonNone.setSelected(false);
/*     */       }
/* 725 */       else if (RepositoryExplorer.isDataSource(rd))
/*     */       {
/* 727 */         this.dataSourceDescriptor = rd;
/* 728 */         this.jRadioButtonLocal.setSelected(true);
/* 729 */         this.jRadioButtonRepo.setSelected(false);
/* 730 */         this.jRadioButtonNone.setSelected(false);
/*     */       }
/*     */     }
/*     */     
/*     */ 
/*     */ 
/*     */ 
/* 737 */     updateDataSourceFromType();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */   private JPanel jPanel1;
/*     */   
/*     */ 
/*     */   private JPanel jPanel2;
/*     */   
/*     */ 
/*     */   private JPanel jPanel3;
/*     */   
/*     */ 
/*     */   private JPanel jPanel4;
/*     */   
/*     */ 
/*     */   private JPanel jPanelDatasource;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButtonLocal;
/*     */   
/*     */ 
/*     */   private JRadioButton jRadioButtonNone;
/*     */   
/*     */   private JRadioButton jRadioButtonRepo;
/*     */   
/*     */   private JScrollPane jScrollPane1;
/*     */   
/*     */   private JScrollPane jScrollPane2;
/*     */   
/*     */   private JSeparator jSeparator1;
/*     */   
/*     */   private JSeparator jSeparator2;
/*     */   
/*     */   private JTabbedPane jTabbedPane1;
/*     */   
/*     */   private JTextArea jTextAreaSql;
/*     */   
/*     */   private JTextField jTextFieldLabel;
/*     */   
/*     */   private JTextField jTextFieldName;
/*     */   
/*     */   private JTextField jTextFieldUriString;
/*     */   
/*     */   public void validate(ResourceDescriptor dataType)
/*     */     throws Exception
/*     */   {
/* 785 */     ValidationUtils.validateName(dataType.getName());
/* 786 */     ValidationUtils.validateLabel(dataType.getLabel());
/* 787 */     ValidationUtils.validateDesc(dataType.getDescription());
/*     */   }
/*     */   
/*     */   public boolean isDoNotStore() {
/* 791 */     return this.doNotStore;
/*     */   }
/*     */   
/*     */   public void setDoNotStore(boolean doNotStore) {
/* 795 */     this.doNotStore = doNotStore;
/*     */   }
/*     */   
/*     */   public void updateDataSourceFromType()
/*     */   {
/* 800 */     this.jComboBoxDatasources.setEnabled(this.jRadioButtonRepo.isSelected());
/* 801 */     this.jButtonPickResource.setEnabled(this.jRadioButtonRepo.isSelected());
/*     */     
/* 803 */     this.jButtonEditLocalDataSource.setEnabled(this.jRadioButtonLocal.isSelected());
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public void setDatasources(List datasources)
/*     */   {
/* 811 */     this.jComboBoxDatasources.removeAllItems();
/* 812 */     for (int i = 0; i < datasources.size(); i++)
/*     */     {
/* 814 */       Object datasource = datasources.get(i);
/* 815 */       if ((datasource instanceof String))
/*     */       {
/* 817 */         this.jComboBoxDatasources.addItem(datasource);
/*     */       }
/* 819 */       else if ((datasource instanceof ResourceDescriptor))
/*     */       {
/* 821 */         this.jComboBoxDatasources.addItem(((ResourceDescriptor)datasource).getUriString());
/*     */       }
/*     */     }
/*     */     
/* 825 */     if (this.jComboBoxDatasources.getItemCount() > 0)
/*     */     {
/* 827 */       this.jComboBoxDatasources.setSelectedIndex(0);
/*     */     }
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\QueryDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */