/*     */ package com.jaspersoft.jasperserver.irplugin.gui;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.irplugin.IRPlugin;
/*     */ import com.jaspersoft.jasperserver.irplugin.JServer;
/*     */ import it.businesslogic.ireport.util.I18n;
/*     */ import it.businesslogic.ireport.util.Misc;
/*     */ import java.awt.Color;
/*     */ import java.awt.Container;
/*     */ import java.awt.Dialog;
/*     */ import java.awt.Dimension;
/*     */ import java.awt.EventQueue;
/*     */ import java.awt.Font;
/*     */ import java.awt.Frame;
/*     */ import java.awt.GridBagConstraints;
/*     */ import java.awt.GridBagLayout;
/*     */ import java.awt.Insets;
/*     */ import java.awt.Window;
/*     */ import java.awt.event.ActionEvent;
/*     */ import java.awt.event.ActionListener;
/*     */ import java.util.Locale;
/*     */ import java.util.Properties;
/*     */ import javax.swing.AbstractButton;
/*     */ import javax.swing.BorderFactory;
/*     */ import javax.swing.JButton;
/*     */ import javax.swing.JComponent;
/*     */ import javax.swing.JDialog;
/*     */ import javax.swing.JFrame;
/*     */ import javax.swing.JLabel;
/*     */ import javax.swing.JPanel;
/*     */ import javax.swing.JPasswordField;
/*     */ import javax.swing.JSeparator;
/*     */ import javax.swing.JTextField;
/*     */ import javax.swing.border.TitledBorder;
/*     */ import javax.swing.event.DocumentEvent;
/*     */ import javax.swing.event.DocumentListener;
/*     */ import javax.swing.text.Document;
/*     */ import javax.swing.text.JTextComponent;
/*     */ 
/*     */ public class ServerDialog extends JDialog
/*     */ {
/*  41 */   private JServer jServer = null;
/*     */   
/*  43 */   private int dialogResult = 2;
/*     */   private JButton jButtonCancel;
/*     */   private JButton jButtonSave;
/*     */   private JLabel jLabel1;
/*     */   private JLabel jLabel3;
/*     */   
/*  49 */   public ServerDialog(Frame parent, boolean modal) { super(parent, modal);
/*  50 */     initComponents();
/*  51 */     setTitle("JasperServer Plugin");
/*  52 */     Misc.centerFrame(this);
/*     */     
/*  54 */     this.jTextFieldURL.setText(IRPlugin.getMainInstance().getBrandingProperties().getProperty("irplugin.server.url"));
/*     */     
/*  56 */     this.jTextFieldServerName.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent e) {
/*  58 */         ServerDialog.this.updateButtons();
/*     */       }
/*     */       
/*  61 */       public void insertUpdate(DocumentEvent e) { ServerDialog.this.updateButtons(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent e) {
/*  64 */         ServerDialog.this.updateButtons();
/*     */       }
/*     */       
/*  67 */     });
/*  68 */     this.jTextFieldUsername.getDocument().addDocumentListener(new DocumentListener() {
/*     */       public void changedUpdate(DocumentEvent e) {
/*  70 */         ServerDialog.this.updateButtons();
/*     */       }
/*     */       
/*  73 */       public void insertUpdate(DocumentEvent e) { ServerDialog.this.updateButtons(); }
/*     */       
/*     */       public void removeUpdate(DocumentEvent e) {
/*  76 */         ServerDialog.this.updateButtons();
/*     */       }
/*     */       
/*  79 */     });
/*  80 */     applyI18n(); }
/*     */   
/*     */   private JLabel jLabel4;
/*     */   private JLabel jLabel5;
/*     */   private JLabel jLabel6;
/*     */   private JPanel jPanel1;
/*  86 */   public void applyI18n() { this.jButtonCancel.setText(IRPlugin.getString("serverDialog.buttonCancel", "Cancel"));
/*  87 */     this.jButtonSave.setText(IRPlugin.getString("serverDialog.buttonSave", "Save"));
/*     */     
/*  89 */     this.jLabel1.setText(IRPlugin.getString("serverDialog.title", "JasperServer Access Configuration"));
/*  90 */     this.jLabel3.setText(IRPlugin.getString("serverDialog.labelName", "Name"));
/*  91 */     this.jLabel4.setText(IRPlugin.getString("serverDialog.labelURL", "JasperServer URL"));
/*  92 */     this.jLabel5.setText(IRPlugin.getString("serverDialog.labelUsername", "Username"));
/*  93 */     this.jLabel6.setText(IRPlugin.getString("serverDialog.labelPassword", "Password"));
/*     */     
/*  95 */     ((TitledBorder)this.jPanel2.getBorder()).setTitle(IRPlugin.getString("serverDialog.account", "Account"));
/*  96 */     ((TitledBorder)this.jPanel3.getBorder()).setTitle(IRPlugin.getString("serverDialog.serverInformation", "Server information"));
/*     */   }
/*     */   
/*     */ 
/*     */   private void updateButtons()
/*     */   {
/* 102 */     if ((this.jTextFieldServerName.getText().trim().length() > 0) && (this.jTextFieldUsername.getText().trim().length() > 0))
/*     */     {
/*     */ 
/* 105 */       this.jButtonSave.setEnabled(true);
/*     */ 
/*     */     }
/*     */     else
/*     */     {
/* 110 */       this.jButtonSave.setEnabled(false);
/*     */     }
/*     */   }
/*     */   
/*     */   private JPanel jPanel2;
/*     */   private JPanel jPanel3;
/*     */   private JPanel jPanel4;
/*     */   private JPasswordField jPasswordField;
/*     */   private JSeparator jSeparator1;
/*     */   private JSeparator jSeparator2;
/*     */   private JTextField jTextFieldServerName;
/*     */   private JTextField jTextFieldURL;
/*     */   private JTextField jTextFieldUsername;
/*     */   private void initComponents()
/*     */   {
/* 125 */     this.jPanel1 = new JPanel();
/* 126 */     this.jLabel1 = new JLabel();
/* 127 */     this.jSeparator1 = new JSeparator();
/* 128 */     this.jPanel3 = new JPanel();
/* 129 */     this.jLabel3 = new JLabel();
/* 130 */     this.jTextFieldServerName = new JTextField();
/* 131 */     this.jLabel4 = new JLabel();
/* 132 */     this.jTextFieldURL = new JTextField();
/* 133 */     this.jPanel2 = new JPanel();
/* 134 */     this.jLabel5 = new JLabel();
/* 135 */     this.jTextFieldUsername = new JTextField();
/* 136 */     this.jLabel6 = new JLabel();
/* 137 */     this.jPasswordField = new JPasswordField();
/* 138 */     this.jSeparator2 = new JSeparator();
/* 139 */     this.jPanel4 = new JPanel();
/* 140 */     this.jButtonSave = new JButton();
/* 141 */     this.jButtonCancel = new JButton();
/*     */     
/* 143 */     getContentPane().setLayout(new GridBagLayout());
/*     */     
/* 145 */     setDefaultCloseOperation(2);
/* 146 */     this.jPanel1.setLayout(new GridBagLayout());
/*     */     
/* 148 */     this.jPanel1.setBackground(new Color(255, 255, 255));
/* 149 */     this.jPanel1.setMinimumSize(new Dimension(10, 50));
/* 150 */     this.jPanel1.setPreferredSize(new Dimension(400, 50));
/* 151 */     this.jLabel1.setFont(new Font("Dialog", 1, 12));
/* 152 */     this.jLabel1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/com/jaspersoft/jasperserver/irplugin/res/settings.png")));
/* 153 */     this.jLabel1.setText("JasperServer Access Configuration");
/* 154 */     this.jLabel1.setVerticalAlignment(3);
/* 155 */     this.jLabel1.setVerticalTextPosition(3);
/* 156 */     GridBagConstraints gridBagConstraints = new GridBagConstraints();
/* 157 */     gridBagConstraints.fill = 1;
/* 158 */     gridBagConstraints.weightx = 1.0D;
/* 159 */     gridBagConstraints.weighty = 1.0D;
/* 160 */     this.jPanel1.add(this.jLabel1, gridBagConstraints);
/*     */     
/* 162 */     gridBagConstraints = new GridBagConstraints();
/* 163 */     gridBagConstraints.fill = 2;
/* 164 */     gridBagConstraints.weightx = 1.0D;
/* 165 */     getContentPane().add(this.jPanel1, gridBagConstraints);
/*     */     
/* 167 */     this.jSeparator1.setMinimumSize(new Dimension(2, 2));
/* 168 */     this.jSeparator1.setPreferredSize(new Dimension(2, 2));
/* 169 */     gridBagConstraints = new GridBagConstraints();
/* 170 */     gridBagConstraints.gridx = 0;
/* 171 */     gridBagConstraints.fill = 2;
/* 172 */     gridBagConstraints.weightx = 1.0D;
/* 173 */     getContentPane().add(this.jSeparator1, gridBagConstraints);
/*     */     
/* 175 */     this.jPanel3.setLayout(new GridBagLayout());
/*     */     
/* 177 */     this.jPanel3.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), "Server information"));
/* 178 */     this.jLabel3.setText("Name");
/* 179 */     gridBagConstraints = new GridBagConstraints();
/* 180 */     gridBagConstraints.fill = 2;
/* 181 */     gridBagConstraints.weightx = 1.0D;
/* 182 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 183 */     this.jPanel3.add(this.jLabel3, gridBagConstraints);
/*     */     
/* 185 */     gridBagConstraints = new GridBagConstraints();
/* 186 */     gridBagConstraints.gridx = 0;
/* 187 */     gridBagConstraints.fill = 2;
/* 188 */     gridBagConstraints.weightx = 1.0D;
/* 189 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 190 */     this.jPanel3.add(this.jTextFieldServerName, gridBagConstraints);
/*     */     
/* 192 */     this.jLabel4.setText("JasperServer URL");
/* 193 */     gridBagConstraints = new GridBagConstraints();
/* 194 */     gridBagConstraints.gridx = 0;
/* 195 */     gridBagConstraints.fill = 2;
/* 196 */     gridBagConstraints.weightx = 1.0D;
/* 197 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 198 */     this.jPanel3.add(this.jLabel4, gridBagConstraints);
/*     */     
/* 200 */     this.jTextFieldURL.setText("http://localhost:8080/ji-pro/services/repository");
/* 201 */     gridBagConstraints = new GridBagConstraints();
/* 202 */     gridBagConstraints.gridx = 0;
/* 203 */     gridBagConstraints.fill = 2;
/* 204 */     gridBagConstraints.weightx = 1.0D;
/* 205 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 206 */     this.jPanel3.add(this.jTextFieldURL, gridBagConstraints);
/*     */     
/* 208 */     gridBagConstraints = new GridBagConstraints();
/* 209 */     gridBagConstraints.gridx = 0;
/* 210 */     gridBagConstraints.fill = 1;
/* 211 */     gridBagConstraints.weightx = 1.0D;
/* 212 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 213 */     getContentPane().add(this.jPanel3, gridBagConstraints);
/*     */     
/* 215 */     this.jPanel2.setLayout(new GridBagLayout());
/*     */     
/* 217 */     this.jPanel2.setBorder(BorderFactory.createTitledBorder(BorderFactory.createEtchedBorder(), "Account"));
/* 218 */     this.jLabel5.setText("Username");
/* 219 */     gridBagConstraints = new GridBagConstraints();
/* 220 */     gridBagConstraints.fill = 2;
/* 221 */     gridBagConstraints.weightx = 1.0D;
/* 222 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 223 */     this.jPanel2.add(this.jLabel5, gridBagConstraints);
/*     */     
/* 225 */     gridBagConstraints = new GridBagConstraints();
/* 226 */     gridBagConstraints.gridx = 0;
/* 227 */     gridBagConstraints.fill = 2;
/* 228 */     gridBagConstraints.weightx = 1.0D;
/* 229 */     gridBagConstraints.insets = new Insets(0, 4, 0, 4);
/* 230 */     this.jPanel2.add(this.jTextFieldUsername, gridBagConstraints);
/*     */     
/* 232 */     this.jLabel6.setText("Password");
/* 233 */     gridBagConstraints = new GridBagConstraints();
/* 234 */     gridBagConstraints.gridx = 0;
/* 235 */     gridBagConstraints.fill = 2;
/* 236 */     gridBagConstraints.weightx = 1.0D;
/* 237 */     gridBagConstraints.insets = new Insets(4, 4, 0, 4);
/* 238 */     this.jPanel2.add(this.jLabel6, gridBagConstraints);
/*     */     
/* 240 */     gridBagConstraints = new GridBagConstraints();
/* 241 */     gridBagConstraints.gridx = 0;
/* 242 */     gridBagConstraints.fill = 2;
/* 243 */     gridBagConstraints.weightx = 1.0D;
/* 244 */     gridBagConstraints.insets = new Insets(0, 4, 4, 4);
/* 245 */     this.jPanel2.add(this.jPasswordField, gridBagConstraints);
/*     */     
/* 247 */     gridBagConstraints = new GridBagConstraints();
/* 248 */     gridBagConstraints.gridx = 0;
/* 249 */     gridBagConstraints.fill = 1;
/* 250 */     gridBagConstraints.weightx = 1.0D;
/* 251 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 252 */     getContentPane().add(this.jPanel2, gridBagConstraints);
/*     */     
/* 254 */     gridBagConstraints = new GridBagConstraints();
/* 255 */     gridBagConstraints.gridx = 0;
/* 256 */     gridBagConstraints.fill = 2;
/* 257 */     gridBagConstraints.anchor = 15;
/* 258 */     gridBagConstraints.weighty = 1.0D;
/* 259 */     getContentPane().add(this.jSeparator2, gridBagConstraints);
/*     */     
/* 261 */     this.jPanel4.setLayout(new GridBagLayout());
/*     */     
/* 263 */     this.jPanel4.setMinimumSize(new Dimension(10, 30));
/* 264 */     this.jPanel4.setPreferredSize(new Dimension(10, 23));
/* 265 */     this.jButtonSave.setText("Save");
/* 266 */     this.jButtonSave.setEnabled(false);
/* 267 */     this.jButtonSave.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 269 */         ServerDialog.this.jButtonSaveActionPerformed(evt);
/*     */       }
/*     */       
/* 272 */     });
/* 273 */     gridBagConstraints = new GridBagConstraints();
/* 274 */     gridBagConstraints.anchor = 13;
/* 275 */     gridBagConstraints.weightx = 1.0D;
/* 276 */     gridBagConstraints.insets = new Insets(0, 4, 0, 0);
/* 277 */     this.jPanel4.add(this.jButtonSave, gridBagConstraints);
/*     */     
/* 279 */     this.jButtonCancel.setText("Cancel");
/* 280 */     this.jButtonCancel.addActionListener(new ActionListener() {
/*     */       public void actionPerformed(ActionEvent evt) {
/* 282 */         ServerDialog.this.jButtonCancelActionPerformed(evt);
/*     */       }
/*     */       
/* 285 */     });
/* 286 */     gridBagConstraints = new GridBagConstraints();
/* 287 */     gridBagConstraints.insets = new Insets(0, 4, 0, 0);
/* 288 */     this.jPanel4.add(this.jButtonCancel, gridBagConstraints);
/*     */     
/* 290 */     gridBagConstraints = new GridBagConstraints();
/* 291 */     gridBagConstraints.gridx = 0;
/* 292 */     gridBagConstraints.fill = 1;
/* 293 */     gridBagConstraints.insets = new Insets(4, 4, 4, 4);
/* 294 */     getContentPane().add(this.jPanel4, gridBagConstraints);
/*     */     
/* 296 */     pack();
/*     */   }
/*     */   
/*     */   private void jButtonCancelActionPerformed(ActionEvent evt)
/*     */   {
/* 301 */     setDialogResult(2);
/* 302 */     setVisible(false);
/* 303 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */   private void jButtonSaveActionPerformed(ActionEvent evt)
/*     */   {
/* 309 */     this.jServer = new JServer();
/* 310 */     this.jServer.setName(this.jTextFieldServerName.getText());
/* 311 */     this.jServer.setUrl(this.jTextFieldURL.getText());
/* 312 */     this.jServer.setUsername(this.jTextFieldUsername.getText());
/* 313 */     this.jServer.setPassword(new String(this.jPasswordField.getPassword()));
/* 314 */     this.jServer.setLocale(I18n.getCurrentLocale().getLanguage());
/*     */     
/* 316 */     setDialogResult(0);
/* 317 */     setVisible(false);
/* 318 */     dispose();
/*     */   }
/*     */   
/*     */ 
/*     */ 
/*     */ 
/*     */   public static void main(String[] args)
/*     */   {
/* 326 */     EventQueue.invokeLater(new Runnable() {
/*     */       public void run() {
/* 328 */         new ServerDialog(new JFrame(), true).setVisible(true);
/*     */       }
/*     */     });
/*     */   }
/*     */   
/*     */   public int getDialogResult() {
/* 334 */     return this.dialogResult;
/*     */   }
/*     */   
/*     */   public void setDialogResult(int dialogResult) {
/* 338 */     this.dialogResult = dialogResult;
/*     */   }
/*     */   
/*     */   public JServer getJServer()
/*     */   {
/* 343 */     return this.jServer;
/*     */   }
/*     */   
/*     */   public void setJServer(JServer jServer)
/*     */   {
/* 348 */     this.jTextFieldServerName.setText(jServer.getName());
/* 349 */     this.jTextFieldURL.setText(jServer.getUrl());
/* 350 */     this.jTextFieldUsername.setText(jServer.getUsername());
/* 351 */     this.jPasswordField.setText(jServer.getPassword());
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jasperserver-ireport-plugin-2.0.1.jar!\com\jaspersoft\jasperserver\irplugin\gui\ServerDialog.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       0.7.1
 */