/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.importexport;
/*     */ 
/*     */ import java.util.ArrayList;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElementWrapper;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ import javax.xml.bind.annotation.XmlTransient;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="export")
/*     */ public class ExportTaskDto
/*     */ {
/*     */   @XmlElementWrapper(name="parameters")
/*     */   @XmlElement(name="parameter")
/*     */   private List<String> exportParams;
/*     */   @XmlElementWrapper(name="uris")
/*     */   @XmlElement(name="uri")
/*     */   private List<String> urisOfResources;
/*     */   @XmlTransient
/*     */   private List<String> urisOfScheduledJobs;
/*     */   @XmlElementWrapper(name="roles")
/*     */   @XmlElement(name="role")
/*     */   private List<String> rolesToExport;
/*     */   @XmlElementWrapper(name="users")
/*     */   @XmlElement(name="user")
/*     */   private List<String> usersToExport;
/*     */   
/*     */   public ExportTaskDto() {}
/*     */   
/*     */   public ExportTaskDto(ExportTaskDto other)
/*     */   {
/*  60 */     this.exportParams = new ArrayList(other.exportParams);
/*  61 */     this.urisOfResources = new ArrayList(other.urisOfResources);
/*  62 */     this.urisOfScheduledJobs = new ArrayList(other.urisOfScheduledJobs);
/*  63 */     this.rolesToExport = new ArrayList(other.rolesToExport);
/*  64 */     this.usersToExport = new ArrayList(other.usersToExport);
/*     */   }
/*     */   
/*     */   public List<String> getParameters()
/*     */   {
/*  69 */     return this.exportParams;
/*     */   }
/*     */   
/*     */   public ExportTaskDto setParameters(List<String> exportParams) {
/*  73 */     this.exportParams = exportParams;
/*  74 */     return this;
/*     */   }
/*     */   
/*     */   public List<String> getUris() {
/*  78 */     return this.urisOfResources;
/*     */   }
/*     */   
/*     */   public ExportTaskDto setUris(List<String> urisOfResources) {
/*  82 */     this.urisOfResources = urisOfResources;
/*  83 */     return this;
/*     */   }
/*     */   
/*     */   public List<String> getScheduledJobs() {
/*  87 */     return this.urisOfScheduledJobs;
/*     */   }
/*     */   
/*     */   public ExportTaskDto setScheduledJobs(List<String> urisOfScheduledJobs) {
/*  91 */     this.urisOfScheduledJobs = urisOfScheduledJobs;
/*  92 */     return this;
/*     */   }
/*     */   
/*     */   public List<String> getRoles() {
/*  96 */     return this.rolesToExport;
/*     */   }
/*     */   
/*     */   public ExportTaskDto setRoles(List<String> rolesToExport) {
/* 100 */     this.rolesToExport = rolesToExport;
/* 101 */     return this;
/*     */   }
/*     */   
/*     */   public List<String> getUsers() {
/* 105 */     return this.usersToExport;
/*     */   }
/*     */   
/*     */   public ExportTaskDto setUsers(List<String> usersToExport) {
/* 109 */     this.usersToExport = usersToExport;
/* 110 */     return this;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 115 */     if (this == o) return true;
/* 116 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 118 */     ExportTaskDto that = (ExportTaskDto)o;
/*     */     
/* 120 */     if (this.exportParams != null ? !this.exportParams.equals(that.exportParams) : that.exportParams != null) return false;
/* 121 */     if (this.rolesToExport != null ? !this.rolesToExport.equals(that.rolesToExport) : that.rolesToExport != null)
/* 122 */       return false;
/* 123 */     if (this.urisOfResources != null ? !this.urisOfResources.equals(that.urisOfResources) : that.urisOfResources != null)
/* 124 */       return false;
/* 125 */     if (this.urisOfScheduledJobs != null ? !this.urisOfScheduledJobs.equals(that.urisOfScheduledJobs) : that.urisOfScheduledJobs != null)
/* 126 */       return false;
/* 127 */     if (this.usersToExport != null ? !this.usersToExport.equals(that.usersToExport) : that.usersToExport != null) {
/* 128 */       return false;
/*     */     }
/* 130 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 135 */     int result = this.exportParams != null ? this.exportParams.hashCode() : 0;
/* 136 */     result = 31 * result + (this.urisOfResources != null ? this.urisOfResources.hashCode() : 0);
/* 137 */     result = 31 * result + (this.urisOfScheduledJobs != null ? this.urisOfScheduledJobs.hashCode() : 0);
/* 138 */     result = 31 * result + (this.rolesToExport != null ? this.rolesToExport.hashCode() : 0);
/* 139 */     result = 31 * result + (this.usersToExport != null ? this.usersToExport.hashCode() : 0);
/* 140 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 145 */     return "ExportTaskDto{exportParams=" + this.exportParams + ", urisOfResources=" + this.urisOfResources + ", urisOfScheduledJobs=" + this.urisOfScheduledJobs + ", rolesToExport=" + this.rolesToExport + ", usersToExport=" + this.usersToExport + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\importexport\ExportTaskDto.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */