/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.reports;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ErrorDescriptor;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElementWrapper;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="export")
/*     */ public class ExportDescriptor
/*     */ {
/*     */   private String id;
/*     */   private String status;
/*     */   private String pages;
/*     */   private String attachmentsPrefix;
/*     */   private OutputResourceDescriptor outputResource;
/*     */   private ErrorDescriptor errorDescriptor;
/*     */   private List<AttachmentDescriptor> attachments;
/*     */   
/*     */   public ErrorDescriptor getErrorDescriptor()
/*     */   {
/*  44 */     return this.errorDescriptor;
/*     */   }
/*     */   
/*     */   public void setErrorDescriptor(ErrorDescriptor errorDescriptor) {
/*  48 */     this.errorDescriptor = errorDescriptor;
/*     */   }
/*     */   
/*     */   public String getId() {
/*  52 */     return this.id;
/*     */   }
/*     */   
/*     */   public void setId(String id) {
/*  56 */     this.id = id;
/*     */   }
/*     */   
/*     */   public String getStatus() {
/*  60 */     return this.status;
/*     */   }
/*     */   
/*     */   public void setStatus(String status) {
/*  64 */     this.status = status;
/*     */   }
/*     */   
/*     */   public String getPages() {
/*  68 */     return this.pages;
/*     */   }
/*     */   
/*     */   public void setPages(String pages) {
/*  72 */     this.pages = pages;
/*     */   }
/*     */   
/*     */   public String getAttachmentsPrefix() {
/*  76 */     return this.attachmentsPrefix;
/*     */   }
/*     */   
/*     */   public void setAttachmentsPrefix(String attachmentsPrefix) {
/*  80 */     this.attachmentsPrefix = attachmentsPrefix;
/*     */   }
/*     */   
/*     */   public OutputResourceDescriptor getOutputResource() {
/*  84 */     return this.outputResource;
/*     */   }
/*     */   
/*     */   public void setOutputResource(OutputResourceDescriptor outputResource) {
/*  88 */     this.outputResource = outputResource;
/*     */   }
/*     */   
/*     */   @XmlElementWrapper(name="attachments")
/*     */   @XmlElement(name="attachment", type=AttachmentDescriptor.class)
/*     */   public List<AttachmentDescriptor> getAttachments() {
/*  94 */     return this.attachments;
/*     */   }
/*     */   
/*     */   public void setAttachments(List<AttachmentDescriptor> attachments) {
/*  98 */     this.attachments = attachments;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 103 */     if (this == o) return true;
/* 104 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 106 */     ExportDescriptor that = (ExportDescriptor)o;
/*     */     
/* 108 */     if (this.attachments != null ? !this.attachments.equals(that.attachments) : that.attachments != null) return false;
/* 109 */     if (this.attachmentsPrefix != null ? !this.attachmentsPrefix.equals(that.attachmentsPrefix) : that.attachmentsPrefix != null)
/* 110 */       return false;
/* 111 */     if (this.id != null ? !this.id.equals(that.id) : that.id != null) return false;
/* 112 */     if (this.outputResource != null ? !this.outputResource.equals(that.outputResource) : that.outputResource != null)
/* 113 */       return false;
/* 114 */     if (this.pages != null ? !this.pages.equals(that.pages) : that.pages != null) return false;
/* 115 */     if (this.status != null ? !this.status.equals(that.status) : that.status != null) { return false;
/*     */     }
/* 117 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 122 */     int result = this.id != null ? this.id.hashCode() : 0;
/* 123 */     result = 31 * result + (this.status != null ? this.status.hashCode() : 0);
/* 124 */     result = 31 * result + (this.pages != null ? this.pages.hashCode() : 0);
/* 125 */     result = 31 * result + (this.attachmentsPrefix != null ? this.attachmentsPrefix.hashCode() : 0);
/* 126 */     result = 31 * result + (this.outputResource != null ? this.outputResource.hashCode() : 0);
/* 127 */     result = 31 * result + (this.attachments != null ? this.attachments.hashCode() : 0);
/* 128 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 133 */     return "ExportDescriptor{id='" + this.id + '\'' + ", status='" + this.status + '\'' + ", pages='" + this.pages + '\'' + ", attachmentsPrefix='" + this.attachmentsPrefix + '\'' + ", outputResource=" + this.outputResource + ", attachments=" + this.attachments + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\reports\ExportDescriptor.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */