/*     */ package com.jaspersoft.jasperserver.jaxrs.client.dto.reports;
/*     */ 
/*     */ import com.jaspersoft.jasperserver.jaxrs.client.dto.common.ErrorDescriptor;
/*     */ import java.util.List;
/*     */ import javax.xml.bind.annotation.XmlElement;
/*     */ import javax.xml.bind.annotation.XmlElementWrapper;
/*     */ import javax.xml.bind.annotation.XmlRootElement;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ @XmlRootElement(name="reportExecution")
/*     */ public class ReportExecutionDescriptor
/*     */ {
/*     */   private Integer currentPage;
/*     */   private String reportURI;
/*     */   private String requestId;
/*     */   private String status;
/*     */   private Integer totalPages;
/*     */   private ErrorDescriptor errorDescriptor;
/*     */   private List<ExportDescriptor> exports;
/*     */   
/*     */   public ErrorDescriptor getErrorDescriptor()
/*     */   {
/*  45 */     return this.errorDescriptor;
/*     */   }
/*     */   
/*     */   public void setErrorDescriptor(ErrorDescriptor errorDescriptor) {
/*  49 */     this.errorDescriptor = errorDescriptor;
/*     */   }
/*     */   
/*     */   public Integer getCurrentPage() {
/*  53 */     return this.currentPage;
/*     */   }
/*     */   
/*     */   public void setCurrentPage(Integer currentPage) {
/*  57 */     this.currentPage = currentPage;
/*     */   }
/*     */   
/*     */   public String getReportURI() {
/*  61 */     return this.reportURI;
/*     */   }
/*     */   
/*     */   public void setReportURI(String reportURI) {
/*  65 */     this.reportURI = reportURI;
/*     */   }
/*     */   
/*     */   public String getRequestId() {
/*  69 */     return this.requestId;
/*     */   }
/*     */   
/*     */   public void setRequestId(String requestId) {
/*  73 */     this.requestId = requestId;
/*     */   }
/*     */   
/*     */   public String getStatus() {
/*  77 */     return this.status;
/*     */   }
/*     */   
/*     */   public void setStatus(String status) {
/*  81 */     this.status = status;
/*     */   }
/*     */   
/*     */   public Integer getTotalPages() {
/*  85 */     return this.totalPages;
/*     */   }
/*     */   
/*     */   public void setTotalPages(Integer totalPages) {
/*  89 */     this.totalPages = totalPages;
/*     */   }
/*     */   
/*     */   @XmlElementWrapper(name="exports")
/*     */   @XmlElement(name="export", type=ExportDescriptor.class)
/*     */   public List<ExportDescriptor> getExports()
/*     */   {
/*  96 */     return this.exports;
/*     */   }
/*     */   
/*     */   public void setExports(List<ExportDescriptor> exports) {
/* 100 */     this.exports = exports;
/*     */   }
/*     */   
/*     */   public boolean equals(Object o)
/*     */   {
/* 105 */     if (this == o) return true;
/* 106 */     if ((o == null) || (getClass() != o.getClass())) { return false;
/*     */     }
/* 108 */     ReportExecutionDescriptor that = (ReportExecutionDescriptor)o;
/*     */     
/* 110 */     if (this.currentPage != null ? !this.currentPage.equals(that.currentPage) : that.currentPage != null) return false;
/* 111 */     if (this.exports != null ? !this.exports.equals(that.exports) : that.exports != null) return false;
/* 112 */     if (this.reportURI != null ? !this.reportURI.equals(that.reportURI) : that.reportURI != null) return false;
/* 113 */     if (this.requestId != null ? !this.requestId.equals(that.requestId) : that.requestId != null) return false;
/* 114 */     if (this.status != null ? !this.status.equals(that.status) : that.status != null) return false;
/* 115 */     if (this.totalPages != null ? !this.totalPages.equals(that.totalPages) : that.totalPages != null) { return false;
/*     */     }
/* 117 */     return true;
/*     */   }
/*     */   
/*     */   public int hashCode()
/*     */   {
/* 122 */     int result = this.currentPage != null ? this.currentPage.hashCode() : 0;
/* 123 */     result = 31 * result + (this.reportURI != null ? this.reportURI.hashCode() : 0);
/* 124 */     result = 31 * result + (this.requestId != null ? this.requestId.hashCode() : 0);
/* 125 */     result = 31 * result + (this.status != null ? this.status.hashCode() : 0);
/* 126 */     result = 31 * result + (this.totalPages != null ? this.totalPages.hashCode() : 0);
/* 127 */     result = 31 * result + (this.exports != null ? this.exports.hashCode() : 0);
/* 128 */     return result;
/*     */   }
/*     */   
/*     */   public String toString()
/*     */   {
/* 133 */     return "ReportExecutionDescriptor{currentPage=" + this.currentPage + ", reportURI='" + this.reportURI + '\'' + ", requestId='" + this.requestId + '\'' + ", status='" + this.status + '\'' + ", totalPages=" + this.totalPages + ", exports=" + this.exports + '}';
/*     */   }
/*     */ }


/* Location:              C:\Perforce\MyAsup\dev\thirdparty\lib\jrs-rest-java-client-6.0.3-ALPHA.jar!\com\jaspersoft\jasperserver\jaxrs\client\dto\reports\ReportExecutionDescriptor.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */